#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000006DC, "_module_flags");
  MakeDword(0x000006DC);
  MakeName(0x000006E0, "_module_name");
  MakeStr(0x000006E0, BADADDR);
  MakeName(0x000006FC, "_module_gp");
  MakeDword(0x000006FC);
  MakeName(0x00000700, "_module_exports");
  MakeDword(0x00000700);
  OpOff(0x00000700, 0, 0);
  MakeName(0x00000704, "_module_exp_end");
  MakeDword(0x00000704);
  OpOff(0x00000704, 0, 0);
  MakeName(0x00000708, "_module_imports");
  MakeDword(0x00000708);
  OpOff(0x00000708, 0, 0);
  MakeName(0x0000070C, "_module_imp_end");
  MakeDword(0x0000070C);
  OpOff(0x0000070C, 0, 0);
}

static createImports() {
  MakeName(0x0000069C, "import0");
  MakeDword(0x0000069C);
  OpOff(0x0000069C, 0, 0);
  MakeName(0x00000714, "import0_name");
  MakeStr(0x00000714, BADADDR);
  MakeName(0x000006A0, "import0_flags");
  MakeDword(0x000006A0);
  MakeName(0x000006A4, "import0_counts");
  MakeDword(0x000006A4);
  MakeName(0x000006A8, "import0_nids");
  MakeDword(0x000006A8);
  OpOff(0x000006A8, 0, 0);
  MakeName(0x000006AC, "import0_funcs");
  MakeDword(0x000006AC);
  OpOff(0x000006AC, 0, 0);
  MakeName(0x000007D4, "import0_sceKernelCreateSema");
  MakeDword(0x000007D4);
  MakeName(0x00000618, "sceKernelCreateSema");
  MakeFunction(0x00000618, BADADDR);
  MakeName(0x000007D8, "import0_sceKernelDeleteSema");
  MakeDword(0x000007D8);
  MakeName(0x00000620, "sceKernelDeleteSema");
  MakeFunction(0x00000620, BADADDR);
  MakeName(0x000007DC, "import0_sceKernelSignalSema");
  MakeDword(0x000007DC);
  MakeName(0x00000628, "sceKernelSignalSema");
  MakeFunction(0x00000628, BADADDR);
  MakeName(0x000007E0, "import0_sceKernelWaitSema");
  MakeDword(0x000007E0);
  MakeName(0x00000630, "sceKernelWaitSema");
  MakeFunction(0x00000630, BADADDR);
  MakeName(0x000007E4, "import0_sceKernelPollSema");
  MakeDword(0x000007E4);
  MakeName(0x00000638, "sceKernelPollSema");
  MakeFunction(0x00000638, BADADDR);
  MakeName(0x000006B0, "import1");
  MakeDword(0x000006B0);
  OpOff(0x000006B0, 0, 0);
  MakeName(0x0000072C, "import1_name");
  MakeStr(0x0000072C, BADADDR);
  MakeName(0x000006B4, "import1_flags");
  MakeDword(0x000006B4);
  MakeName(0x000006B8, "import1_counts");
  MakeDword(0x000006B8);
  MakeName(0x000006BC, "import1_nids");
  MakeDword(0x000006BC);
  OpOff(0x000006BC, 0, 0);
  MakeName(0x000006C0, "import1_funcs");
  MakeDword(0x000006C0);
  OpOff(0x000006C0, 0, 0);
  MakeName(0x000007F4, "import1_sceKernelRegisterSysEventHandler");
  MakeDword(0x000007F4);
  MakeName(0x00000658, "sceKernelRegisterSysEventHandler");
  MakeFunction(0x00000658, BADADDR);
  MakeName(0x000007F8, "import1_sceKernelUnregisterSysEventHandler");
  MakeDword(0x000007F8);
  MakeName(0x00000660, "sceKernelUnregisterSysEventHandler");
  MakeFunction(0x00000660, BADADDR);
  MakeName(0x000006C4, "import2");
  MakeDword(0x000006C4);
  OpOff(0x000006C4, 0, 0);
  MakeName(0x00000748, "import2_name");
  MakeStr(0x00000748, BADADDR);
  MakeName(0x000006C8, "import2_flags");
  MakeDword(0x000006C8);
  MakeName(0x000006CC, "import2_counts");
  MakeDword(0x000006CC);
  MakeName(0x000006D0, "import2_nids");
  MakeDword(0x000006D0);
  OpOff(0x000006D0, 0, 0);
  MakeName(0x000006D4, "import2_funcs");
  MakeDword(0x000006D4);
  OpOff(0x000006D4, 0, 0);
  MakeName(0x000007E8, "import2_sceI2cSetClock");
  MakeDword(0x000007E8);
  MakeName(0x00000640, "sceI2cSetClock");
  MakeFunction(0x00000640, BADADDR);
  MakeName(0x000007EC, "import2_sceI2cMasterTransmit");
  MakeDword(0x000007EC);
  MakeName(0x00000648, "sceI2cMasterTransmit");
  MakeFunction(0x00000648, BADADDR);
  MakeName(0x000007F0, "import2_sceI2cMasterTransmitReceive");
  MakeDword(0x000007F0);
  MakeName(0x00000650, "sceI2cMasterTransmitReceive");
  MakeFunction(0x00000650, BADADDR);
}

static createExports() {
  MakeName(0x00000674, "export_0");
  MakeDword(0x00000674);
  MakeName(0x00000678, "export_0_flags");
  MakeDword(0x00000678);
  MakeName(0x0000067C, "export_0_counts");
  MakeDword(0x0000067C);
  MakeName(0x00000680, "export_0_exports");
  MakeDword(0x00000680);
  OpOff(0x00000680, 0, 0);
  MakeName(0x00000758, "export_0_module_start");
  MakeDword(0x00000758);
  MakeName(0x00000764, "");
  MakeDword(0x00000764);
  OpOff(0x00000764, 0, 0);
  MakeName(0x00000260, "module_start");
  MakeFunction(0x00000260, BADADDR);
  MakeName(0x0000075C, "export_0_module_reboot_before");
  MakeDword(0x0000075C);
  MakeName(0x00000768, "");
  MakeDword(0x00000768);
  OpOff(0x00000768, 0, 0);
  MakeName(0x00000280, "module_reboot_before");
  MakeFunction(0x00000280, BADADDR);
  MakeName(0x00000760, "export_0_module_info");
  MakeDword(0x00000760);
  MakeName(0x0000076C, "");
  MakeDword(0x0000076C);
  OpOff(0x0000076C, 0, 0);
  MakeName(0x00000684, "export_1");
  MakeDword(0x00000684);
  OpOff(0x00000684, 0, 0);
  MakeName(0x00000770, "export_1_name");
  MakeStr(0x00000770, BADADDR);
  MakeName(0x00000688, "export_1_flags");
  MakeDword(0x00000688);
  MakeName(0x0000068C, "export_1_counts");
  MakeDword(0x0000068C);
  MakeName(0x00000690, "export_1_exports");
  MakeDword(0x00000690);
  OpOff(0x00000690, 0, 0);
  MakeName(0x00000784, "export_1_sceClockgenInit");
  MakeDword(0x00000784);
  MakeName(0x000007AC, "");
  MakeDword(0x000007AC);
  OpOff(0x000007AC, 0, 0);
  MakeName(0x00000000, "sceClockgenInit");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00000788, "export_1_sceClockgenEnd");
  MakeDword(0x00000788);
  MakeName(0x000007B0, "");
  MakeDword(0x000007B0);
  OpOff(0x000007B0, 0, 0);
  MakeName(0x000002CC, "sceClockgenEnd");
  MakeFunction(0x000002CC, BADADDR);
  MakeName(0x0000078C, "export_1_sceClockgenGetRevision");
  MakeDword(0x0000078C);
  MakeName(0x000007B4, "");
  MakeDword(0x000007B4);
  OpOff(0x000007B4, 0, 0);
  MakeName(0x0000037C, "sceClockgenGetRevision");
  MakeFunction(0x0000037C, BADADDR);
  MakeName(0x00000790, "export_1_sceClockgenGetRegValue");
  MakeDword(0x00000790);
  MakeName(0x000007B8, "");
  MakeDword(0x000007B8);
  OpOff(0x000007B8, 0, 0);
  MakeName(0x00000390, "sceClockgenGetRegValue");
  MakeFunction(0x00000390, BADADDR);
  MakeName(0x00000794, "export_1_sceClockgenAudioClkSetFreq");
  MakeDword(0x00000794);
  MakeName(0x000007BC, "");
  MakeDword(0x000007BC);
  OpOff(0x000007BC, 0, 0);
  MakeName(0x000003BC, "sceClockgenAudioClkSetFreq");
  MakeFunction(0x000003BC, BADADDR);
  MakeName(0x00000798, "export_1_sceClockgenAudioClkEnable");
  MakeDword(0x00000798);
  MakeName(0x000007C0, "");
  MakeDword(0x000007C0);
  OpOff(0x000007C0, 0, 0);
  MakeName(0x000003FC, "sceClockgenAudioClkEnable");
  MakeFunction(0x000003FC, BADADDR);
  MakeName(0x0000079C, "export_1_sceClockgenAudioClkDisable");
  MakeDword(0x0000079C);
  MakeName(0x000007C4, "");
  MakeDword(0x000007C4);
  OpOff(0x000007C4, 0, 0);
  MakeName(0x0000041C, "sceClockgenAudioClkDisable");
  MakeFunction(0x0000041C, BADADDR);
  MakeName(0x000007A0, "export_1_sceClockgenLeptonClkEnable");
  MakeDword(0x000007A0);
  MakeName(0x000007C8, "");
  MakeDword(0x000007C8);
  OpOff(0x000007C8, 0, 0);
  MakeName(0x0000043C, "sceClockgenLeptonClkEnable");
  MakeFunction(0x0000043C, BADADDR);
  MakeName(0x000007A4, "export_1_sceClockgenLeptonClkDisable");
  MakeDword(0x000007A4);
  MakeName(0x000007CC, "");
  MakeDword(0x000007CC);
  OpOff(0x000007CC, 0, 0);
  MakeName(0x0000045C, "sceClockgenLeptonClkDisable");
  MakeFunction(0x0000045C, BADADDR);
  MakeName(0x000007A8, "export_1_sceClockgen_driver_C9AF3102");
  MakeDword(0x000007A8);
  MakeName(0x000007D0, "");
  MakeDword(0x000007D0);
  OpOff(0x000007D0, 0, 0);
  MakeName(0x000000EC, "sceClockgen_driver_C9AF3102");
  MakeFunction(0x000000EC, BADADDR);
}

static createRelocs() {
}

