#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00000C5C, "_module_flags");
  MakeDword(0x00000C5C);
  MakeName(0x00000C60, "_module_name");
  MakeStr(0x00000C60, BADADDR);
  MakeName(0x00000C7C, "_module_gp");
  MakeDword(0x00000C7C);
  MakeName(0x00000C80, "_module_exports");
  MakeDword(0x00000C80);
  OpOff(0x00000C80, 0, 0);
  MakeName(0x00000C84, "_module_exp_end");
  MakeDword(0x00000C84);
  OpOff(0x00000C84, 0, 0);
  MakeName(0x00000C88, "_module_imports");
  MakeDword(0x00000C88);
  OpOff(0x00000C88, 0, 0);
  MakeName(0x00000C8C, "_module_imp_end");
  MakeDword(0x00000C8C);
  OpOff(0x00000C8C, 0, 0);
}

static createImports() {
  MakeName(0x00000C1C, "import0");
  MakeDword(0x00000C1C);
  OpOff(0x00000C1C, 0, 0);
  MakeName(0x00000C94, "import0_name");
  MakeStr(0x00000C94, BADADDR);
  MakeName(0x00000C20, "import0_flags");
  MakeDword(0x00000C20);
  MakeName(0x00000C24, "import0_counts");
  MakeDword(0x00000C24);
  MakeName(0x00000C28, "import0_nids");
  MakeDword(0x00000C28);
  OpOff(0x00000C28, 0, 0);
  MakeName(0x00000C2C, "import0_funcs");
  MakeDword(0x00000C2C);
  OpOff(0x00000C2C, 0, 0);
  MakeName(0x00000D94, "import0_sceKernelRegisterSysEventHandler");
  MakeDword(0x00000D94);
  MakeName(0x00000BB4, "sceKernelRegisterSysEventHandler");
  MakeFunction(0x00000BB4, BADADDR);
  MakeName(0x00000D98, "import0_sceKernelUnregisterSysEventHandler");
  MakeDword(0x00000D98);
  MakeName(0x00000BBC, "sceKernelUnregisterSysEventHandler");
  MakeFunction(0x00000BBC, BADADDR);
  MakeName(0x00000C30, "import1");
  MakeDword(0x00000C30);
  OpOff(0x00000C30, 0, 0);
  MakeName(0x00000CB0, "import1_name");
  MakeStr(0x00000CB0, BADADDR);
  MakeName(0x00000C34, "import1_flags");
  MakeDword(0x00000C34);
  MakeName(0x00000C38, "import1_counts");
  MakeDword(0x00000C38);
  MakeName(0x00000C3C, "import1_nids");
  MakeDword(0x00000C3C);
  OpOff(0x00000C3C, 0, 0);
  MakeName(0x00000C40, "import1_funcs");
  MakeDword(0x00000C40);
  OpOff(0x00000C40, 0, 0);
  MakeName(0x00000D8C, "import1_sceKernelCpuSuspendIntr");
  MakeDword(0x00000D8C);
  MakeName(0x00000BA4, "sceKernelCpuSuspendIntr");
  MakeFunction(0x00000BA4, BADADDR);
  MakeName(0x00000D90, "import1_sceKernelCpuResumeIntr");
  MakeDword(0x00000D90);
  MakeName(0x00000BAC, "sceKernelCpuResumeIntr");
  MakeFunction(0x00000BAC, BADADDR);
  MakeName(0x00000C44, "import2");
  MakeDword(0x00000C44);
  OpOff(0x00000C44, 0, 0);
  MakeName(0x00000CD0, "import2_name");
  MakeStr(0x00000CD0, BADADDR);
  MakeName(0x00000C48, "import2_flags");
  MakeDword(0x00000C48);
  MakeName(0x00000C4C, "import2_counts");
  MakeDword(0x00000C4C);
  MakeName(0x00000C50, "import2_nids");
  MakeDword(0x00000C50);
  OpOff(0x00000C50, 0, 0);
  MakeName(0x00000C54, "import2_funcs");
  MakeDword(0x00000C54);
  OpOff(0x00000C54, 0, 0);
  MakeName(0x00000D9C, "import2_sceSysregLcdcClkEnable");
  MakeDword(0x00000D9C);
  MakeName(0x00000BC4, "sceSysregLcdcClkEnable");
  MakeFunction(0x00000BC4, BADADDR);
  MakeName(0x00000DA0, "import2_sceSysregLcdcClkDisable");
  MakeDword(0x00000DA0);
  MakeName(0x00000BCC, "sceSysregLcdcClkDisable");
  MakeFunction(0x00000BCC, BADADDR);
  MakeName(0x00000DA4, "import2_sceSysregLcdcClkSelect");
  MakeDword(0x00000DA4);
  MakeName(0x00000BD4, "sceSysregLcdcClkSelect");
  MakeFunction(0x00000BD4, BADADDR);
  MakeName(0x00000DA8, "import2_sceSysregLcdcIoEnable");
  MakeDword(0x00000DA8);
  MakeName(0x00000BDC, "sceSysregLcdcIoEnable");
  MakeFunction(0x00000BDC, BADADDR);
  MakeName(0x00000DAC, "import2_sceSysregLcdcIoDisable");
  MakeDword(0x00000DAC);
  MakeName(0x00000BE4, "sceSysregLcdcIoDisable");
  MakeFunction(0x00000BE4, BADADDR);
}

static createExports() {
  MakeName(0x00000BF4, "export_0");
  MakeDword(0x00000BF4);
  MakeName(0x00000BF8, "export_0_flags");
  MakeDword(0x00000BF8);
  MakeName(0x00000BFC, "export_0_counts");
  MakeDword(0x00000BFC);
  MakeName(0x00000C00, "export_0_exports");
  MakeDword(0x00000C00);
  OpOff(0x00000C00, 0, 0);
  MakeName(0x00000CE4, "export_0_module_start");
  MakeDword(0x00000CE4);
  MakeName(0x00000CF0, "");
  MakeDword(0x00000CF0);
  OpOff(0x00000CF0, 0, 0);
  MakeName(0x00000524, "module_start");
  MakeFunction(0x00000524, BADADDR);
  MakeName(0x00000CE8, "export_0_module_reboot_before");
  MakeDword(0x00000CE8);
  MakeName(0x00000CF4, "");
  MakeDword(0x00000CF4);
  OpOff(0x00000CF4, 0, 0);
  MakeName(0x000006AC, "module_reboot_before");
  MakeFunction(0x000006AC, BADADDR);
  MakeName(0x00000CEC, "export_0_module_info");
  MakeDword(0x00000CEC);
  MakeName(0x00000CF8, "");
  MakeDword(0x00000CF8);
  OpOff(0x00000CF8, 0, 0);
  MakeName(0x00000C04, "export_1");
  MakeDword(0x00000C04);
  OpOff(0x00000C04, 0, 0);
  MakeName(0x00000CFC, "export_1_name");
  MakeStr(0x00000CFC, BADADDR);
  MakeName(0x00000C08, "export_1_flags");
  MakeDword(0x00000C08);
  MakeName(0x00000C0C, "export_1_counts");
  MakeDword(0x00000C0C);
  MakeName(0x00000C10, "export_1_exports");
  MakeDword(0x00000C10);
  OpOff(0x00000C10, 0, 0);
  MakeName(0x00000D0C, "export_1_sceLcdcInit");
  MakeDword(0x00000D0C);
  MakeName(0x00000D4C, "");
  MakeDword(0x00000D4C);
  OpOff(0x00000D4C, 0, 0);
  MakeName(0x000006D0, "sceLcdcInit");
  MakeFunction(0x000006D0, BADADDR);
  MakeName(0x00000D10, "export_1_sceLcdcEnd");
  MakeDword(0x00000D10);
  MakeName(0x00000D50, "");
  MakeDword(0x00000D50);
  OpOff(0x00000D50, 0, 0);
  MakeName(0x00000858, "sceLcdcEnd");
  MakeFunction(0x00000858, BADADDR);
  MakeName(0x00000D14, "export_1_sceLcdcSuspend");
  MakeDword(0x00000D14);
  MakeName(0x00000D54, "");
  MakeDword(0x00000D54);
  OpOff(0x00000D54, 0, 0);
  MakeName(0x0000087C, "sceLcdcSuspend");
  MakeFunction(0x0000087C, BADADDR);
  MakeName(0x00000D18, "export_1_sceLcdcResume");
  MakeDword(0x00000D18);
  MakeName(0x00000D58, "");
  MakeDword(0x00000D58);
  OpOff(0x00000D58, 0, 0);
  MakeName(0x00000000, "sceLcdcResume");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00000D1C, "export_1_sceLcdcEnable");
  MakeDword(0x00000D1C);
  MakeName(0x00000D5C, "");
  MakeDword(0x00000D5C);
  OpOff(0x00000D5C, 0, 0);
  MakeName(0x000008A4, "sceLcdcEnable");
  MakeFunction(0x000008A4, BADADDR);
  MakeName(0x00000D20, "export_1_sceLcdcDisable");
  MakeDword(0x00000D20);
  MakeName(0x00000D60, "");
  MakeDword(0x00000D60);
  OpOff(0x00000D60, 0, 0);
  MakeName(0x000008D0, "sceLcdcDisable");
  MakeFunction(0x000008D0, BADADDR);
  MakeName(0x00000D24, "export_1_sceLcdcCheckMode");
  MakeDword(0x00000D24);
  MakeName(0x00000D64, "");
  MakeDword(0x00000D64);
  OpOff(0x00000D64, 0, 0);
  MakeName(0x00000144, "sceLcdcCheckMode");
  MakeFunction(0x00000144, BADADDR);
  MakeName(0x00000D28, "export_1_sceLcdcSetMode");
  MakeDword(0x00000D28);
  MakeName(0x00000D68, "");
  MakeDword(0x00000D68);
  OpOff(0x00000D68, 0, 0);
  MakeName(0x00000200, "sceLcdcSetMode");
  MakeFunction(0x00000200, BADADDR);
  MakeName(0x00000D2C, "export_1_sceLcdcReset");
  MakeDword(0x00000D2C);
  MakeName(0x00000D6C, "");
  MakeDword(0x00000D6C);
  OpOff(0x00000D6C, 0, 0);
  MakeName(0x000008F8, "sceLcdcReset");
  MakeFunction(0x000008F8, BADADDR);
  MakeName(0x00000D30, "export_1_sceLcdcGetPixelClockFreq");
  MakeDword(0x00000D30);
  MakeName(0x00000D70, "");
  MakeDword(0x00000D70);
  OpOff(0x00000D70, 0, 0);
  MakeName(0x00000938, "sceLcdcGetPixelClockFreq");
  MakeFunction(0x00000938, BADADDR);
  MakeName(0x00000D34, "export_1_sceLcdcGetHsyncFreq");
  MakeDword(0x00000D34);
  MakeName(0x00000D74, "");
  MakeDword(0x00000D74);
  OpOff(0x00000D74, 0, 0);
  MakeName(0x000009B0, "sceLcdcGetHsyncFreq");
  MakeFunction(0x000009B0, BADADDR);
  MakeName(0x00000D38, "export_1_sceLcdcGetVsyncFreq");
  MakeDword(0x00000D38);
  MakeName(0x00000D78, "");
  MakeDword(0x00000D78);
  OpOff(0x00000D78, 0, 0);
  MakeName(0x00000A58, "sceLcdcGetVsyncFreq");
  MakeFunction(0x00000A58, BADADDR);
  MakeName(0x00000D3C, "export_1_sceLcdc_driver_551C5BC3");
  MakeDword(0x00000D3C);
  MakeName(0x00000D7C, "");
  MakeDword(0x00000D7C);
  OpOff(0x00000D7C, 0, 0);
  MakeName(0x000003F0, "sceLcdc_driver_551C5BC3");
  MakeFunction(0x000003F0, BADADDR);
  MakeName(0x00000D40, "export_1_sceLcdcReadHPC");
  MakeDword(0x00000D40);
  MakeName(0x00000D80, "");
  MakeDword(0x00000D80);
  OpOff(0x00000D80, 0, 0);
  MakeName(0x0000046C, "sceLcdcReadHPC");
  MakeFunction(0x0000046C, BADADDR);
  MakeName(0x00000D44, "export_1_sceLcdcReadVPC");
  MakeDword(0x00000D44);
  MakeName(0x00000D84, "");
  MakeDword(0x00000D84);
  OpOff(0x00000D84, 0, 0);
  MakeName(0x000004C8, "sceLcdcReadVPC");
  MakeFunction(0x000004C8, BADADDR);
  MakeName(0x00000D48, "export_1_sceLcdc_driver_E08B076B");
  MakeDword(0x00000D48);
  MakeName(0x00000D88, "");
  MakeDword(0x00000D88);
  OpOff(0x00000D88, 0, 0);
  MakeName(0x00000B24, "sceLcdc_driver_E08B076B");
  MakeFunction(0x00000B24, BADADDR);
}

static createRelocs() {
}

