#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000002FC, "_module_flags");
  MakeDword(0x000002FC);
  MakeName(0x00000300, "_module_name");
  MakeStr(0x00000300, BADADDR);
  MakeName(0x0000031C, "_module_gp");
  MakeDword(0x0000031C);
  MakeName(0x00000320, "_module_exports");
  MakeDword(0x00000320);
  OpOff(0x00000320, 0, 0);
  MakeName(0x00000324, "_module_exp_end");
  MakeDword(0x00000324);
  OpOff(0x00000324, 0, 0);
  MakeName(0x00000328, "_module_imports");
  MakeDword(0x00000328);
  OpOff(0x00000328, 0, 0);
  MakeName(0x0000032C, "_module_imp_end");
  MakeDword(0x0000032C);
  OpOff(0x0000032C, 0, 0);
}

static createImports() {
  MakeName(0x000002BC, "import0");
  MakeDword(0x000002BC);
  OpOff(0x000002BC, 0, 0);
  MakeName(0x00000334, "import0_name");
  MakeStr(0x00000334, BADADDR);
  MakeName(0x000002C0, "import0_flags");
  MakeDword(0x000002C0);
  MakeName(0x000002C4, "import0_counts");
  MakeDword(0x000002C4);
  MakeName(0x000002C8, "import0_nids");
  MakeDword(0x000002C8);
  OpOff(0x000002C8, 0, 0);
  MakeName(0x000002CC, "import0_funcs");
  MakeDword(0x000002CC);
  OpOff(0x000002CC, 0, 0);
  MakeName(0x000003B0, "import0_sceKernelCreateSema");
  MakeDword(0x000003B0);
  MakeName(0x00000254, "sceKernelCreateSema");
  MakeFunction(0x00000254, BADADDR);
  MakeName(0x000003B4, "import0_sceKernelSignalSema");
  MakeDword(0x000003B4);
  MakeName(0x0000025C, "sceKernelSignalSema");
  MakeFunction(0x0000025C, BADADDR);
  MakeName(0x000003B8, "import0_sceKernelWaitSema");
  MakeDword(0x000003B8);
  MakeName(0x00000264, "sceKernelWaitSema");
  MakeFunction(0x00000264, BADADDR);
  MakeName(0x000002D0, "import1");
  MakeDword(0x000002D0);
  OpOff(0x000002D0, 0, 0);
  MakeName(0x0000034C, "import1_name");
  MakeStr(0x0000034C, BADADDR);
  MakeName(0x000002D4, "import1_flags");
  MakeDword(0x000002D4);
  MakeName(0x000002D8, "import1_counts");
  MakeDword(0x000002D8);
  MakeName(0x000002DC, "import1_nids");
  MakeDword(0x000002DC);
  OpOff(0x000002DC, 0, 0);
  MakeName(0x000002E0, "import1_funcs");
  MakeDword(0x000002E0);
  OpOff(0x000002E0, 0, 0);
  MakeName(0x000003BC, "import1_sceIdStorageLookup");
  MakeDword(0x000003BC);
  MakeName(0x0000026C, "sceIdStorageLookup");
  MakeFunction(0x0000026C, BADADDR);
  MakeName(0x000002E4, "import2");
  MakeDword(0x000002E4);
  OpOff(0x000002E4, 0, 0);
  MakeName(0x00000364, "import2_name");
  MakeStr(0x00000364, BADADDR);
  MakeName(0x000002E8, "import2_flags");
  MakeDword(0x000002E8);
  MakeName(0x000002EC, "import2_counts");
  MakeDword(0x000002EC);
  MakeName(0x000002F0, "import2_nids");
  MakeDword(0x000002F0);
  OpOff(0x000002F0, 0, 0);
  MakeName(0x000002F4, "import2_funcs");
  MakeDword(0x000002F4);
  OpOff(0x000002F4, 0, 0);
  MakeName(0x000003C0, "import2_sceUtilsBufferCopyWithRange");
  MakeDword(0x000003C0);
  MakeName(0x00000274, "sceUtilsBufferCopyWithRange");
  MakeFunction(0x00000274, BADADDR);
}

static createExports() {
  MakeName(0x00000284, "export_0");
  MakeDword(0x00000284);
  MakeName(0x00000288, "export_0_flags");
  MakeDword(0x00000288);
  MakeName(0x0000028C, "export_0_counts");
  MakeDword(0x0000028C);
  MakeName(0x00000290, "export_0_exports");
  MakeDword(0x00000290);
  OpOff(0x00000290, 0, 0);
  MakeName(0x00000370, "export_0_module_start");
  MakeDword(0x00000370);
  MakeName(0x00000378, "");
  MakeDword(0x00000378);
  OpOff(0x00000378, 0, 0);
  MakeName(0x000000E8, "module_start");
  MakeFunction(0x000000E8, BADADDR);
  MakeName(0x00000374, "export_0_module_info");
  MakeDword(0x00000374);
  MakeName(0x0000037C, "");
  MakeDword(0x0000037C);
  OpOff(0x0000037C, 0, 0);
  MakeName(0x00000294, "export_1");
  MakeDword(0x00000294);
  OpOff(0x00000294, 0, 0);
  MakeName(0x00000380, "export_1_name");
  MakeStr(0x00000380, BADADDR);
  MakeName(0x00000298, "export_1_flags");
  MakeDword(0x00000298);
  MakeName(0x0000029C, "export_1_counts");
  MakeDword(0x0000029C);
  MakeName(0x000002A0, "export_1_exports");
  MakeDword(0x000002A0);
  OpOff(0x000002A0, 0, 0);
  MakeName(0x0000038C, "export_1_sceOpenPSIDGetOpenPSID");
  MakeDword(0x0000038C);
  MakeName(0x00000390, "");
  MakeDword(0x00000390);
  OpOff(0x00000390, 0, 0);
  MakeName(0x00000148, "sceOpenPSIDGetOpenPSID");
  MakeFunction(0x00000148, BADADDR);
  MakeName(0x000002A4, "export_2");
  MakeDword(0x000002A4);
  OpOff(0x000002A4, 0, 0);
  MakeName(0x00000394, "export_2_name");
  MakeStr(0x00000394, BADADDR);
  MakeName(0x000002A8, "export_2_flags");
  MakeDword(0x000002A8);
  MakeName(0x000002AC, "export_2_counts");
  MakeDword(0x000002AC);
  MakeName(0x000002B0, "export_2_exports");
  MakeDword(0x000002B0);
  OpOff(0x000002B0, 0, 0);
  MakeName(0x000003A8, "export_2_sceOpenPSIDGetOpenPSID");
  MakeDword(0x000003A8);
  MakeName(0x000003AC, "");
  MakeDword(0x000003AC);
  OpOff(0x000003AC, 0, 0);
  MakeName(0x00000148, "sceOpenPSIDGetOpenPSID");
  MakeFunction(0x00000148, BADADDR);
}

static createRelocs() {
}

