#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000005CC, "_module_flags");
  MakeDword(0x000005CC);
  MakeName(0x000005D0, "_module_name");
  MakeStr(0x000005D0, BADADDR);
  MakeName(0x000005EC, "_module_gp");
  MakeDword(0x000005EC);
  MakeName(0x000005F0, "_module_exports");
  MakeDword(0x000005F0);
  OpOff(0x000005F0, 0, 0);
  MakeName(0x000005F4, "_module_exp_end");
  MakeDword(0x000005F4);
  OpOff(0x000005F4, 0, 0);
  MakeName(0x000005F8, "_module_imports");
  MakeDword(0x000005F8);
  OpOff(0x000005F8, 0, 0);
  MakeName(0x000005FC, "_module_imp_end");
  MakeDword(0x000005FC);
  OpOff(0x000005FC, 0, 0);
}

static createImports() {
  MakeName(0x0000058C, "import0");
  MakeDword(0x0000058C);
  OpOff(0x0000058C, 0, 0);
  MakeName(0x00000604, "import0_name");
  MakeStr(0x00000604, BADADDR);
  MakeName(0x00000590, "import0_flags");
  MakeDword(0x00000590);
  MakeName(0x00000594, "import0_counts");
  MakeDword(0x00000594);
  MakeName(0x00000598, "import0_nids");
  MakeDword(0x00000598);
  OpOff(0x00000598, 0, 0);
  MakeName(0x0000059C, "import0_funcs");
  MakeDword(0x0000059C);
  OpOff(0x0000059C, 0, 0);
  MakeName(0x0000067C, "import0_sceKernelCreateSema");
  MakeDword(0x0000067C);
  MakeName(0x00000528, "sceKernelCreateSema");
  MakeFunction(0x00000528, BADADDR);
  MakeName(0x00000680, "import0_sceKernelDeleteSema");
  MakeDword(0x00000680);
  MakeName(0x00000530, "sceKernelDeleteSema");
  MakeFunction(0x00000530, BADADDR);
  MakeName(0x00000684, "import0_sceKernelSignalSema");
  MakeDword(0x00000684);
  MakeName(0x00000538, "sceKernelSignalSema");
  MakeFunction(0x00000538, BADADDR);
  MakeName(0x00000688, "import0_sceKernelWaitSema");
  MakeDword(0x00000688);
  MakeName(0x00000540, "sceKernelWaitSema");
  MakeFunction(0x00000540, BADADDR);
  MakeName(0x000005A0, "import1");
  MakeDword(0x000005A0);
  OpOff(0x000005A0, 0, 0);
  MakeName(0x0000061C, "import1_name");
  MakeStr(0x0000061C, BADADDR);
  MakeName(0x000005A4, "import1_flags");
  MakeDword(0x000005A4);
  MakeName(0x000005A8, "import1_counts");
  MakeDword(0x000005A8);
  MakeName(0x000005AC, "import1_nids");
  MakeDword(0x000005AC);
  OpOff(0x000005AC, 0, 0);
  MakeName(0x000005B0, "import1_funcs");
  MakeDword(0x000005B0);
  OpOff(0x000005B0, 0, 0);
  MakeName(0x0000068C, "import1_sceIdStorageReadLeaf");
  MakeDword(0x0000068C);
  MakeName(0x00000548, "sceIdStorageReadLeaf");
  MakeFunction(0x00000548, BADADDR);
  MakeName(0x00000690, "import1_sceIdStorageLookup");
  MakeDword(0x00000690);
  MakeName(0x00000550, "sceIdStorageLookup");
  MakeFunction(0x00000550, BADADDR);
  MakeName(0x000005B4, "import2");
  MakeDword(0x000005B4);
  OpOff(0x000005B4, 0, 0);
  MakeName(0x00000634, "import2_name");
  MakeStr(0x00000634, BADADDR);
  MakeName(0x000005B8, "import2_flags");
  MakeDword(0x000005B8);
  MakeName(0x000005BC, "import2_counts");
  MakeDword(0x000005BC);
  MakeName(0x000005C0, "import2_nids");
  MakeDword(0x000005C0);
  OpOff(0x000005C0, 0, 0);
  MakeName(0x000005C4, "import2_funcs");
  MakeDword(0x000005C4);
  OpOff(0x000005C4, 0, 0);
  MakeName(0x00000694, "import2_sceUtilsBufferCopyWithRange");
  MakeDword(0x00000694);
  MakeName(0x00000558, "sceUtilsBufferCopyWithRange");
  MakeFunction(0x00000558, BADADDR);
}

static createExports() {
  MakeName(0x00000564, "export_0");
  MakeDword(0x00000564);
  MakeName(0x00000568, "export_0_flags");
  MakeDword(0x00000568);
  MakeName(0x0000056C, "export_0_counts");
  MakeDword(0x0000056C);
  MakeName(0x00000570, "export_0_exports");
  MakeDword(0x00000570);
  OpOff(0x00000570, 0, 0);
  MakeName(0x00000640, "export_0_module_start");
  MakeDword(0x00000640);
  MakeName(0x0000064C, "");
  MakeDword(0x0000064C);
  OpOff(0x0000064C, 0, 0);
  MakeName(0x0000024C, "module_start");
  MakeFunction(0x0000024C, BADADDR);
  MakeName(0x00000644, "export_0_module_stop");
  MakeDword(0x00000644);
  MakeName(0x00000650, "");
  MakeDword(0x00000650);
  OpOff(0x00000650, 0, 0);
  MakeName(0x000002E4, "module_stop");
  MakeFunction(0x000002E4, BADADDR);
  MakeName(0x00000648, "export_0_module_info");
  MakeDword(0x00000648);
  MakeName(0x00000654, "");
  MakeDword(0x00000654);
  OpOff(0x00000654, 0, 0);
  MakeName(0x00000574, "export_1");
  MakeDword(0x00000574);
  OpOff(0x00000574, 0, 0);
  MakeName(0x00000658, "export_1_name");
  MakeStr(0x00000658, BADADDR);
  MakeName(0x00000578, "export_1_flags");
  MakeDword(0x00000578);
  MakeName(0x0000057C, "export_1_counts");
  MakeDword(0x0000057C);
  MakeName(0x00000580, "export_1_exports");
  MakeDword(0x00000580);
  OpOff(0x00000580, 0, 0);
  MakeName(0x0000066C, "export_1_sceChkregCheckRegion");
  MakeDword(0x0000066C);
  MakeName(0x00000674, "");
  MakeDword(0x00000674);
  OpOff(0x00000674, 0, 0);
  MakeName(0x00000394, "sceChkregCheckRegion");
  MakeFunction(0x00000394, BADADDR);
  MakeName(0x00000670, "export_1_sceChkregGetPsCode");
  MakeDword(0x00000670);
  MakeName(0x00000678, "");
  MakeDword(0x00000678);
  OpOff(0x00000678, 0, 0);
  MakeName(0x00000440, "sceChkregGetPsCode");
  MakeFunction(0x00000440, BADADDR);
}

static createRelocs() {
}

