#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00001B08, "_module_flags");
  MakeDword(0x00001B08);
  MakeName(0x00001B0C, "_module_name");
  MakeStr(0x00001B0C, BADADDR);
  MakeName(0x00001B28, "_module_gp");
  MakeDword(0x00001B28);
  MakeName(0x00001B2C, "_module_exports");
  MakeDword(0x00001B2C);
  OpOff(0x00001B2C, 0, 0);
  MakeName(0x00001B30, "_module_exp_end");
  MakeDword(0x00001B30);
  OpOff(0x00001B30, 0, 0);
  MakeName(0x00001B34, "_module_imports");
  MakeDword(0x00001B34);
  OpOff(0x00001B34, 0, 0);
  MakeName(0x00001B38, "_module_imp_end");
  MakeDword(0x00001B38);
  OpOff(0x00001B38, 0, 0);
}

static createImports() {
  MakeName(0x00001ADC, "import0");
  MakeDword(0x00001ADC);
  OpOff(0x00001ADC, 0, 0);
  MakeName(0x00001B40, "import0_name");
  MakeStr(0x00001B40, BADADDR);
  MakeName(0x00001AE0, "import0_flags");
  MakeDword(0x00001AE0);
  MakeName(0x00001AE4, "import0_counts");
  MakeDword(0x00001AE4);
  MakeName(0x00001AE8, "import0_nids");
  MakeDword(0x00001AE8);
  OpOff(0x00001AE8, 0, 0);
  MakeName(0x00001AEC, "import0_funcs");
  MakeDword(0x00001AEC);
  OpOff(0x00001AEC, 0, 0);
  MakeName(0x00001CEC, "import0_sceKernelCreateSema");
  MakeDword(0x00001CEC);
  MakeName(0x000019F8, "sceKernelCreateSema");
  MakeFunction(0x000019F8, BADADDR);
  MakeName(0x00001CF0, "import0_sceKernelDeleteSema");
  MakeDword(0x00001CF0);
  MakeName(0x00001A00, "sceKernelDeleteSema");
  MakeFunction(0x00001A00, BADADDR);
  MakeName(0x00001CF4, "import0_sceKernelSignalSema");
  MakeDword(0x00001CF4);
  MakeName(0x00001A08, "sceKernelSignalSema");
  MakeFunction(0x00001A08, BADADDR);
  MakeName(0x00001CF8, "import0_sceKernelWaitSema");
  MakeDword(0x00001CF8);
  MakeName(0x00001A10, "sceKernelWaitSema");
  MakeFunction(0x00001A10, BADADDR);
  MakeName(0x00001CFC, "import0_sceKernelPollSema");
  MakeDword(0x00001CFC);
  MakeName(0x00001A18, "sceKernelPollSema");
  MakeFunction(0x00001A18, BADADDR);
  MakeName(0x00001AF0, "import1");
  MakeDword(0x00001AF0);
  OpOff(0x00001AF0, 0, 0);
  MakeName(0x00001B58, "import1_name");
  MakeStr(0x00001B58, BADADDR);
  MakeName(0x00001AF4, "import1_flags");
  MakeDword(0x00001AF4);
  MakeName(0x00001AF8, "import1_counts");
  MakeDword(0x00001AF8);
  MakeName(0x00001AFC, "import1_nids");
  MakeDword(0x00001AFC);
  OpOff(0x00001AFC, 0, 0);
  MakeName(0x00001B00, "import1_funcs");
  MakeDword(0x00001B00);
  OpOff(0x00001B00, 0, 0);
  MakeName(0x00001D00, "import1_sceUtilsBufferCopyWithRange");
  MakeDword(0x00001D00);
  MakeName(0x00001A20, "sceUtilsBufferCopyWithRange");
  MakeFunction(0x00001A20, BADADDR);
  MakeName(0x00001D04, "import1_sceUtilsBufferCopyByPollingWithRange");
  MakeDword(0x00001D04);
  MakeName(0x00001A28, "sceUtilsBufferCopyByPollingWithRange");
  MakeFunction(0x00001A28, BADADDR);
}

static createExports() {
  MakeName(0x00001A34, "export_0");
  MakeDword(0x00001A34);
  MakeName(0x00001A38, "export_0_flags");
  MakeDword(0x00001A38);
  MakeName(0x00001A3C, "export_0_counts");
  MakeDword(0x00001A3C);
  MakeName(0x00001A40, "export_0_exports");
  MakeDword(0x00001A40);
  OpOff(0x00001A40, 0, 0);
  MakeName(0x00001B64, "export_0_module_start");
  MakeDword(0x00001B64);
  MakeName(0x00001B6C, "");
  MakeDword(0x00001B6C);
  OpOff(0x00001B6C, 0, 0);
  MakeName(0x000006D8, "module_start");
  MakeFunction(0x000006D8, BADADDR);
  MakeName(0x00001B68, "export_0_module_info");
  MakeDword(0x00001B68);
  MakeName(0x00001B70, "");
  MakeDword(0x00001B70);
  OpOff(0x00001B70, 0, 0);
  MakeName(0x00001A44, "export_1");
  MakeDword(0x00001A44);
  OpOff(0x00001A44, 0, 0);
  MakeName(0x00001B74, "export_1_name");
  MakeStr(0x00001B74, BADADDR);
  MakeName(0x00001A48, "export_1_flags");
  MakeDword(0x00001A48);
  MakeName(0x00001A4C, "export_1_counts");
  MakeDword(0x00001A4C);
  MakeName(0x00001A50, "export_1_exports");
  MakeDword(0x00001A50);
  OpOff(0x00001A50, 0, 0);
  MakeName(0x00001B88, "export_1_sceMesgLed_driver_84A04017");
  MakeDword(0x00001B88);
  MakeName(0x00001BC8, "");
  MakeDword(0x00001BC8);
  OpOff(0x00001BC8, 0, 0);
  MakeName(0x00000764, "sceMesgLed_driver_84A04017");
  MakeFunction(0x00000764, BADADDR);
  MakeName(0x00001B8C, "export_1_sceMesgLed_driver_A86D5005");
  MakeDword(0x00001B8C);
  MakeName(0x00001BCC, "");
  MakeDword(0x00001BCC);
  OpOff(0x00001BCC, 0, 0);
  MakeName(0x00000814, "sceMesgLed_driver_A86D5005");
  MakeFunction(0x00000814, BADADDR);
  MakeName(0x00001B90, "export_1_sceMesgLed_driver_A4547DF1");
  MakeDword(0x00001B90);
  MakeName(0x00001BD0, "");
  MakeDword(0x00001BD0);
  OpOff(0x00001BD0, 0, 0);
  MakeName(0x000008C0, "sceMesgLed_driver_A4547DF1");
  MakeFunction(0x000008C0, BADADDR);
  MakeName(0x00001B94, "export_1_sceMesgLed_driver_94EB1072");
  MakeDword(0x00001B94);
  MakeName(0x00001BD4, "");
  MakeDword(0x00001BD4);
  OpOff(0x00001BD4, 0, 0);
  MakeName(0x0000096C, "sceMesgLed_driver_94EB1072");
  MakeFunction(0x0000096C, BADADDR);
  MakeName(0x00001B98, "export_1_sceMesgLed_driver_198FD3BE");
  MakeDword(0x00001B98);
  MakeName(0x00001BD8, "");
  MakeDword(0x00001BD8);
  OpOff(0x00001BD8, 0, 0);
  MakeName(0x00000E78, "sceMesgLed_driver_198FD3BE");
  MakeFunction(0x00000E78, BADADDR);
  MakeName(0x00001B9C, "export_1_sceMesgLed_driver_FBC694C7");
  MakeDword(0x00001B9C);
  MakeName(0x00001BDC, "");
  MakeDword(0x00001BDC);
  OpOff(0x00001BDC, 0, 0);
  MakeName(0x00000F24, "sceMesgLed_driver_FBC694C7");
  MakeFunction(0x00000F24, BADADDR);
  MakeName(0x00001BA0, "export_1_sceMesgLed_driver_07E152BE");
  MakeDword(0x00001BA0);
  MakeName(0x00001BE0, "");
  MakeDword(0x00001BE0);
  OpOff(0x00001BE0, 0, 0);
  MakeName(0x00000FCC, "sceMesgLed_driver_07E152BE");
  MakeFunction(0x00000FCC, BADADDR);
  MakeName(0x00001BA4, "export_1_sceMesgLed_driver_9906F33A");
  MakeDword(0x00001BA4);
  MakeName(0x00001BE4, "");
  MakeDword(0x00001BE4);
  OpOff(0x00001BE4, 0, 0);
  MakeName(0x00001078, "sceMesgLed_driver_9906F33A");
  MakeFunction(0x00001078, BADADDR);
  MakeName(0x00001BA8, "export_1_sceMesgLed_driver_46AC0E78");
  MakeDword(0x00001BA8);
  MakeName(0x00001BE8, "");
  MakeDword(0x00001BE8);
  OpOff(0x00001BE8, 0, 0);
  MakeName(0x00001120, "sceMesgLed_driver_46AC0E78");
  MakeFunction(0x00001120, BADADDR);
  MakeName(0x00001BAC, "export_1_sceMesgLed_driver_55C8785E");
  MakeDword(0x00001BAC);
  MakeName(0x00001BEC, "");
  MakeDword(0x00001BEC);
  OpOff(0x00001BEC, 0, 0);
  MakeName(0x000011CC, "sceMesgLed_driver_55C8785E");
  MakeFunction(0x000011CC, BADADDR);
  MakeName(0x00001BB0, "export_1_sceMesgLed_driver_67A5ECDF");
  MakeDword(0x00001BB0);
  MakeName(0x00001BF0, "");
  MakeDword(0x00001BF0);
  OpOff(0x00001BF0, 0, 0);
  MakeName(0x00001274, "sceMesgLed_driver_67A5ECDF");
  MakeFunction(0x00001274, BADADDR);
  MakeName(0x00001BB4, "export_1_sceMesgLed_driver_85B9D9F3");
  MakeDword(0x00001BB4);
  MakeName(0x00001BF4, "");
  MakeDword(0x00001BF4);
  OpOff(0x00001BF4, 0, 0);
  MakeName(0x00001324, "sceMesgLed_driver_85B9D9F3");
  MakeFunction(0x00001324, BADADDR);
  MakeName(0x00001BB8, "export_1_sceMesgLed_driver_951F4A5B");
  MakeDword(0x00001BB8);
  MakeName(0x00001BF8, "");
  MakeDword(0x00001BF8);
  OpOff(0x00001BF8, 0, 0);
  MakeName(0x000013D0, "sceMesgLed_driver_951F4A5B");
  MakeFunction(0x000013D0, BADADDR);
  MakeName(0x00001BBC, "export_1_sceMesgLed_driver_58999D8E");
  MakeDword(0x00001BBC);
  MakeName(0x00001BFC, "");
  MakeDword(0x00001BFC);
  OpOff(0x00001BFC, 0, 0);
  MakeName(0x0000147C, "sceMesgLed_driver_58999D8E");
  MakeFunction(0x0000147C, BADADDR);
  MakeName(0x00001BC0, "export_1_sceMesgLed_driver_9FC926A0");
  MakeDword(0x00001BC0);
  MakeName(0x00001C00, "");
  MakeDword(0x00001C00);
  OpOff(0x00001C00, 0, 0);
  MakeName(0x00001524, "sceMesgLed_driver_9FC926A0");
  MakeFunction(0x00001524, BADADDR);
  MakeName(0x00001BC4, "export_1_sceMesgLed_driver_7A922276");
  MakeDword(0x00001BC4);
  MakeName(0x00001C04, "");
  MakeDword(0x00001C04);
  OpOff(0x00001C04, 0, 0);
  MakeName(0x000015D0, "sceMesgLed_driver_7A922276");
  MakeFunction(0x000015D0, BADADDR);
  MakeName(0x00001A54, "export_2");
  MakeDword(0x00001A54);
  OpOff(0x00001A54, 0, 0);
  MakeName(0x00001C08, "export_2_name");
  MakeStr(0x00001C08, BADADDR);
  MakeName(0x00001A58, "export_2_flags");
  MakeDword(0x00001A58);
  MakeName(0x00001A5C, "export_2_counts");
  MakeDword(0x00001A5C);
  MakeName(0x00001A60, "export_2_exports");
  MakeDword(0x00001A60);
  OpOff(0x00001A60, 0, 0);
  MakeName(0x00001C1C, "export_2_sceResmapPrepare");
  MakeDword(0x00001C1C);
  MakeName(0x00001C24, "");
  MakeDword(0x00001C24);
  OpOff(0x00001C24, 0, 0);
  MakeName(0x00000A14, "sceResmapPrepare");
  MakeFunction(0x00000A14, BADADDR);
  MakeName(0x00001C20, "export_2_sceResmapPrepareByPolling");
  MakeDword(0x00001C20);
  MakeName(0x00001C28, "");
  MakeDword(0x00001C28);
  OpOff(0x00001C28, 0, 0);
  MakeName(0x00000AC0, "sceResmapPrepareByPolling");
  MakeFunction(0x00000AC0, BADADDR);
  MakeName(0x00001A64, "export_3");
  MakeDword(0x00001A64);
  OpOff(0x00001A64, 0, 0);
  MakeName(0x00001C2C, "export_3_name");
  MakeStr(0x00001C2C, BADADDR);
  MakeName(0x00001A68, "export_3_flags");
  MakeDword(0x00001A68);
  MakeName(0x00001A6C, "export_3_counts");
  MakeDword(0x00001A6C);
  MakeName(0x00001A70, "export_3_exports");
  MakeDword(0x00001A70);
  OpOff(0x00001A70, 0, 0);
  MakeName(0x00001C3C, "export_3_sceDbmanSelect");
  MakeDword(0x00001C3C);
  MakeName(0x00001C44, "");
  MakeDword(0x00001C44);
  OpOff(0x00001C44, 0, 0);
  MakeName(0x00000B68, "sceDbmanSelect");
  MakeFunction(0x00000B68, BADADDR);
  MakeName(0x00001C40, "export_3_sceDbmanSelectByPolling");
  MakeDword(0x00001C40);
  MakeName(0x00001C48, "");
  MakeDword(0x00001C48);
  OpOff(0x00001C48, 0, 0);
  MakeName(0x00000C14, "sceDbmanSelectByPolling");
  MakeFunction(0x00000C14, BADADDR);
  MakeName(0x00001A74, "export_4");
  MakeDword(0x00001A74);
  OpOff(0x00001A74, 0, 0);
  MakeName(0x00001C4C, "export_4_name");
  MakeStr(0x00001C4C, BADADDR);
  MakeName(0x00001A78, "export_4_flags");
  MakeDword(0x00001A78);
  MakeName(0x00001A7C, "export_4_counts");
  MakeDword(0x00001A7C);
  MakeName(0x00001A80, "export_4_exports");
  MakeDword(0x00001A80);
  OpOff(0x00001A80, 0, 0);
  MakeName(0x00001C5C, "export_4_sceNwman_driver_9555D68D");
  MakeDword(0x00001C5C);
  MakeName(0x00001C60, "");
  MakeDword(0x00001C60);
  OpOff(0x00001C60, 0, 0);
  MakeName(0x00000CBC, "sceNwman_driver_9555D68D");
  MakeFunction(0x00000CBC, BADADDR);
  MakeName(0x00001A84, "export_5");
  MakeDword(0x00001A84);
  OpOff(0x00001A84, 0, 0);
  MakeName(0x00001C64, "export_5_name");
  MakeStr(0x00001C64, BADADDR);
  MakeName(0x00001A88, "export_5_flags");
  MakeDword(0x00001A88);
  MakeName(0x00001A8C, "export_5_counts");
  MakeDword(0x00001A8C);
  MakeName(0x00001A90, "export_5_exports");
  MakeDword(0x00001A90);
  OpOff(0x00001A90, 0, 0);
  MakeName(0x00001C78, "export_5_sceResmgr_driver_9DC14891");
  MakeDword(0x00001C78);
  MakeName(0x00001C7C, "");
  MakeDword(0x00001C7C);
  OpOff(0x00001C7C, 0, 0);
  MakeName(0x00000D68, "sceResmgr_driver_9DC14891");
  MakeFunction(0x00000D68, BADADDR);
  MakeName(0x00001A94, "export_6");
  MakeDword(0x00001A94);
  OpOff(0x00001A94, 0, 0);
  MakeName(0x00001C80, "export_6_name");
  MakeStr(0x00001C80, BADADDR);
  MakeName(0x00001A98, "export_6_flags");
  MakeDword(0x00001A98);
  MakeName(0x00001A9C, "export_6_counts");
  MakeDword(0x00001A9C);
  MakeName(0x00001AA0, "export_6_exports");
  MakeDword(0x00001AA0);
  OpOff(0x00001AA0, 0, 0);
  MakeName(0x00001C8C, "export_6_sceResmgr_9DC14891");
  MakeDword(0x00001C8C);
  MakeName(0x00001C90, "");
  MakeDword(0x00001C90);
  OpOff(0x00001C90, 0, 0);
  MakeName(0x00000D68, "sceResmgr_9DC14891");
  MakeFunction(0x00000D68, BADADDR);
  MakeName(0x00001AA4, "export_7");
  MakeDword(0x00001AA4);
  OpOff(0x00001AA4, 0, 0);
  MakeName(0x00001C94, "export_7_name");
  MakeStr(0x00001C94, BADADDR);
  MakeName(0x00001AA8, "export_7_flags");
  MakeDword(0x00001AA8);
  MakeName(0x00001AAC, "export_7_counts");
  MakeDword(0x00001AAC);
  MakeName(0x00001AB0, "export_7_exports");
  MakeDword(0x00001AB0);
  OpOff(0x00001AB0, 0, 0);
  MakeName(0x00001CA4, "export_7_sceMesgd_driver_102DC8AF");
  MakeDword(0x00001CA4);
  MakeName(0x00001CAC, "");
  MakeDword(0x00001CAC);
  OpOff(0x00001CAC, 0, 0);
  MakeName(0x00001678, "sceMesgd_driver_102DC8AF");
  MakeFunction(0x00001678, BADADDR);
  MakeName(0x00001CA8, "export_7_sceMesgd_driver_ADD0CB66");
  MakeDword(0x00001CA8);
  MakeName(0x00001CB0, "");
  MakeDword(0x00001CB0);
  OpOff(0x00001CB0, 0, 0);
  MakeName(0x00001724, "sceMesgd_driver_ADD0CB66");
  MakeFunction(0x00001724, BADADDR);
  MakeName(0x00001AB4, "export_8");
  MakeDword(0x00001AB4);
  OpOff(0x00001AB4, 0, 0);
  MakeName(0x00001CB4, "export_8_name");
  MakeStr(0x00001CB4, BADADDR);
  MakeName(0x00001AB8, "export_8_flags");
  MakeDword(0x00001AB8);
  MakeName(0x00001ABC, "export_8_counts");
  MakeDword(0x00001ABC);
  MakeName(0x00001AC0, "export_8_exports");
  MakeDword(0x00001AC0);
  OpOff(0x00001AC0, 0, 0);
  MakeName(0x00001CC4, "export_8_sceWmd_driver_7A0E484C");
  MakeDword(0x00001CC4);
  MakeName(0x00001CCC, "");
  MakeDword(0x00001CCC);
  OpOff(0x00001CCC, 0, 0);
  MakeName(0x000017CC, "sceWmd_driver_7A0E484C");
  MakeFunction(0x000017CC, BADADDR);
  MakeName(0x00001CC8, "export_8_sceWmd_driver_B7CE9041");
  MakeDword(0x00001CC8);
  MakeName(0x00001CD0, "");
  MakeDword(0x00001CD0);
  OpOff(0x00001CD0, 0, 0);
  MakeName(0x00001878, "sceWmd_driver_B7CE9041");
  MakeFunction(0x00001878, BADADDR);
  MakeName(0x00001AC4, "export_9");
  MakeDword(0x00001AC4);
  OpOff(0x00001AC4, 0, 0);
  MakeName(0x00001CD4, "export_9_name");
  MakeStr(0x00001CD4, BADADDR);
  MakeName(0x00001AC8, "export_9_flags");
  MakeDword(0x00001AC8);
  MakeName(0x00001ACC, "export_9_counts");
  MakeDword(0x00001ACC);
  MakeName(0x00001AD0, "export_9_exports");
  MakeDword(0x00001AD0);
  OpOff(0x00001AD0, 0, 0);
  MakeName(0x00001CE4, "export_9_sceDbsvrGetData");
  MakeDword(0x00001CE4);
  MakeName(0x00001CE8, "");
  MakeDword(0x00001CE8);
  OpOff(0x00001CE8, 0, 0);
  MakeName(0x00001920, "sceDbsvrGetData");
  MakeFunction(0x00001920, BADADDR);
}

static createRelocs() {
}

