#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000008BC, "_module_flags");
  MakeDword(0x000008BC);
  MakeName(0x000008C0, "_module_name");
  MakeStr(0x000008C0, BADADDR);
  MakeName(0x000008DC, "_module_gp");
  MakeDword(0x000008DC);
  MakeName(0x000008E0, "_module_exports");
  MakeDword(0x000008E0);
  OpOff(0x000008E0, 0, 0);
  MakeName(0x000008E4, "_module_exp_end");
  MakeDword(0x000008E4);
  OpOff(0x000008E4, 0, 0);
  MakeName(0x000008E8, "_module_imports");
  MakeDword(0x000008E8);
  OpOff(0x000008E8, 0, 0);
  MakeName(0x000008EC, "_module_imp_end");
  MakeDword(0x000008EC);
  OpOff(0x000008EC, 0, 0);
}

static createImports() {
  MakeName(0x0000087C, "import0");
  MakeDword(0x0000087C);
  OpOff(0x0000087C, 0, 0);
  MakeName(0x000008F4, "import0_name");
  MakeStr(0x000008F4, BADADDR);
  MakeName(0x00000880, "import0_flags");
  MakeDword(0x00000880);
  MakeName(0x00000884, "import0_counts");
  MakeDword(0x00000884);
  MakeName(0x00000888, "import0_nids");
  MakeDword(0x00000888);
  OpOff(0x00000888, 0, 0);
  MakeName(0x0000088C, "import0_funcs");
  MakeDword(0x0000088C);
  OpOff(0x0000088C, 0, 0);
  MakeName(0x00000994, "import0_sceUtilityCreateNetParam");
  MakeDword(0x00000994);
  MakeName(0x00000838, "sceUtilityCreateNetParam");
  MakeFunction(0x00000838, BADADDR);
  MakeName(0x00000998, "import0_sceUtilityDeleteNetParam");
  MakeDword(0x00000998);
  MakeName(0x00000840, "sceUtilityDeleteNetParam");
  MakeFunction(0x00000840, BADADDR);
  MakeName(0x0000099C, "import0_sceUtilitySetNetParam");
  MakeDword(0x0000099C);
  MakeName(0x00000848, "sceUtilitySetNetParam");
  MakeFunction(0x00000848, BADADDR);
  MakeName(0x00000890, "import1");
  MakeDword(0x00000890);
  OpOff(0x00000890, 0, 0);
  MakeName(0x00000918, "import1_name");
  MakeStr(0x00000918, BADADDR);
  MakeName(0x00000894, "import1_flags");
  MakeDword(0x00000894);
  MakeName(0x00000898, "import1_counts");
  MakeDword(0x00000898);
  MakeName(0x0000089C, "import1_nids");
  MakeDword(0x0000089C);
  OpOff(0x0000089C, 0, 0);
  MakeName(0x000008A0, "import1_funcs");
  MakeDword(0x000008A0);
  OpOff(0x000008A0, 0, 0);
  MakeName(0x00000984, "import1_sceNetApctlConnect");
  MakeDword(0x00000984);
  MakeName(0x00000818, "sceNetApctlConnect");
  MakeFunction(0x00000818, BADADDR);
  MakeName(0x00000988, "import1_sceNetApctlGetState");
  MakeDword(0x00000988);
  MakeName(0x00000820, "sceNetApctlGetState");
  MakeFunction(0x00000820, BADADDR);
  MakeName(0x000008A4, "import2");
  MakeDword(0x000008A4);
  OpOff(0x000008A4, 0, 0);
  MakeName(0x00000928, "import2_name");
  MakeStr(0x00000928, BADADDR);
  MakeName(0x000008A8, "import2_flags");
  MakeDword(0x000008A8);
  MakeName(0x000008AC, "import2_counts");
  MakeDword(0x000008AC);
  MakeName(0x000008B0, "import2_nids");
  MakeDword(0x000008B0);
  OpOff(0x000008B0, 0, 0);
  MakeName(0x000008B4, "import2_funcs");
  MakeDword(0x000008B4);
  OpOff(0x000008B4, 0, 0);
  MakeName(0x0000098C, "import2_sceNetApctlAddInternalHandler");
  MakeDword(0x0000098C);
  MakeName(0x00000828, "sceNetApctlAddInternalHandler");
  MakeFunction(0x00000828, BADADDR);
  MakeName(0x00000990, "import2_sceNetApctlDelInternalHandler");
  MakeDword(0x00000990);
  MakeName(0x00000830, "sceNetApctlDelInternalHandler");
  MakeFunction(0x00000830, BADADDR);
}

static createExports() {
  MakeName(0x00000854, "export_0");
  MakeDword(0x00000854);
  MakeName(0x00000858, "export_0_flags");
  MakeDword(0x00000858);
  MakeName(0x0000085C, "export_0_counts");
  MakeDword(0x0000085C);
  MakeName(0x00000860, "export_0_exports");
  MakeDword(0x00000860);
  OpOff(0x00000860, 0, 0);
  MakeName(0x00000938, "export_0_module_start");
  MakeDword(0x00000938);
  MakeName(0x00000944, "");
  MakeDword(0x00000944);
  OpOff(0x00000944, 0, 0);
  MakeName(0x00000560, "module_start");
  MakeFunction(0x00000560, BADADDR);
  MakeName(0x0000093C, "export_0_module_stop");
  MakeDword(0x0000093C);
  MakeName(0x00000948, "");
  MakeDword(0x00000948);
  OpOff(0x00000948, 0, 0);
  MakeName(0x00000568, "module_stop");
  MakeFunction(0x00000568, BADADDR);
  MakeName(0x00000940, "export_0_module_info");
  MakeDword(0x00000940);
  MakeName(0x0000094C, "");
  MakeDword(0x0000094C);
  OpOff(0x0000094C, 0, 0);
  MakeName(0x00000864, "export_1");
  MakeDword(0x00000864);
  OpOff(0x00000864, 0, 0);
  MakeName(0x00000950, "export_1_name");
  MakeStr(0x00000950, BADADDR);
  MakeName(0x00000868, "export_1_flags");
  MakeDword(0x00000868);
  MakeName(0x0000086C, "export_1_counts");
  MakeDword(0x0000086C);
  MakeName(0x00000870, "export_1_exports");
  MakeDword(0x00000870);
  OpOff(0x00000870, 0, 0);
  MakeName(0x00000964, "export_1_sceNetApDialogDummyInit");
  MakeDword(0x00000964);
  MakeName(0x00000974, "");
  MakeDword(0x00000974);
  OpOff(0x00000974, 0, 0);
  MakeName(0x000000B8, "sceNetApDialogDummyInit");
  MakeFunction(0x000000B8, BADADDR);
  MakeName(0x00000968, "export_1_sceNetApDialogDummyTerm");
  MakeDword(0x00000968);
  MakeName(0x00000978, "");
  MakeDword(0x00000978);
  OpOff(0x00000978, 0, 0);
  MakeName(0x00000158, "sceNetApDialogDummyTerm");
  MakeFunction(0x00000158, BADADDR);
  MakeName(0x0000096C, "export_1_sceNetApDialogDummyConnect");
  MakeDword(0x0000096C);
  MakeName(0x0000097C, "");
  MakeDword(0x0000097C);
  OpOff(0x0000097C, 0, 0);
  MakeName(0x00000000, "sceNetApDialogDummyConnect");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00000970, "export_1_sceNetApDialogDummyGetState");
  MakeDword(0x00000970);
  MakeName(0x00000980, "");
  MakeDword(0x00000980);
  OpOff(0x00000980, 0, 0);
  MakeName(0x000001B0, "sceNetApDialogDummyGetState");
  MakeFunction(0x000001B0, BADADDR);
}

static createRelocs() {
}

