#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000025A8, "_module_flags");
  MakeDword(0x000025A8);
  MakeName(0x000025AC, "_module_name");
  MakeStr(0x000025AC, BADADDR);
  MakeName(0x000025C8, "_module_gp");
  MakeDword(0x000025C8);
  MakeName(0x000025CC, "_module_exports");
  MakeDword(0x000025CC);
  OpOff(0x000025CC, 0, 0);
  MakeName(0x000025D0, "_module_exp_end");
  MakeDword(0x000025D0);
  OpOff(0x000025D0, 0, 0);
  MakeName(0x000025D4, "_module_imports");
  MakeDword(0x000025D4);
  OpOff(0x000025D4, 0, 0);
  MakeName(0x000025D8, "_module_imp_end");
  MakeDword(0x000025D8);
  OpOff(0x000025D8, 0, 0);
}

static createImports() {
  MakeName(0x0000257C, "import0");
  MakeDword(0x0000257C);
  OpOff(0x0000257C, 0, 0);
  MakeName(0x000025E0, "import0_name");
  MakeStr(0x000025E0, BADADDR);
  MakeName(0x00002580, "import0_flags");
  MakeDword(0x00002580);
  MakeName(0x00002584, "import0_counts");
  MakeDword(0x00002584);
  MakeName(0x00002588, "import0_nids");
  MakeDword(0x00002588);
  OpOff(0x00002588, 0, 0);
  MakeName(0x0000258C, "import0_funcs");
  MakeDword(0x0000258C);
  OpOff(0x0000258C, 0, 0);
  MakeName(0x00002B18, "import0_sceKernelRegisterSysEventHandler");
  MakeDword(0x00002B18);
  MakeName(0x00002538, "sceKernelRegisterSysEventHandler");
  MakeFunction(0x00002538, BADADDR);
  MakeName(0x00002B1C, "import0_sceKernelUnregisterSysEventHandler");
  MakeDword(0x00002B1C);
  MakeName(0x00002540, "sceKernelUnregisterSysEventHandler");
  MakeFunction(0x00002540, BADADDR);
  MakeName(0x00002590, "import1");
  MakeDword(0x00002590);
  OpOff(0x00002590, 0, 0);
  MakeName(0x000025FC, "import1_name");
  MakeStr(0x000025FC, BADADDR);
  MakeName(0x00002594, "import1_flags");
  MakeDword(0x00002594);
  MakeName(0x00002598, "import1_counts");
  MakeDword(0x00002598);
  MakeName(0x0000259C, "import1_nids");
  MakeDword(0x0000259C);
  OpOff(0x0000259C, 0, 0);
  MakeName(0x000025A0, "import1_funcs");
  MakeDword(0x000025A0);
  OpOff(0x000025A0, 0, 0);
  MakeName(0x00002AFC, "import1_sceKernelCpuSuspendIntr");
  MakeDword(0x00002AFC);
  MakeName(0x00002500, "sceKernelCpuSuspendIntr");
  MakeFunction(0x00002500, BADADDR);
  MakeName(0x00002B00, "import1_sceKernelCpuResumeIntr");
  MakeDword(0x00002B00);
  MakeName(0x00002508, "sceKernelCpuResumeIntr");
  MakeFunction(0x00002508, BADADDR);
  MakeName(0x00002B04, "import1_sceKernelCpuResumeIntrWithSync");
  MakeDword(0x00002B04);
  MakeName(0x00002510, "sceKernelCpuResumeIntrWithSync");
  MakeFunction(0x00002510, BADADDR);
  MakeName(0x00002B08, "import1_sceKernelRegisterIntrHandler");
  MakeDword(0x00002B08);
  MakeName(0x00002518, "sceKernelRegisterIntrHandler");
  MakeFunction(0x00002518, BADADDR);
  MakeName(0x00002B0C, "import1_sceKernelReleaseIntrHandler");
  MakeDword(0x00002B0C);
  MakeName(0x00002520, "sceKernelReleaseIntrHandler");
  MakeFunction(0x00002520, BADADDR);
  MakeName(0x00002B10, "import1_sceKernelEnableIntr");
  MakeDword(0x00002B10);
  MakeName(0x00002528, "sceKernelEnableIntr");
  MakeFunction(0x00002528, BADADDR);
  MakeName(0x00002B14, "import1_sceKernelCallSubIntrHandler");
  MakeDword(0x00002B14);
  MakeName(0x00002530, "sceKernelCallSubIntrHandler");
  MakeFunction(0x00002530, BADADDR);
}

static createExports() {
  MakeName(0x00002554, "export_0");
  MakeDword(0x00002554);
  MakeName(0x00002558, "export_0_flags");
  MakeDword(0x00002558);
  MakeName(0x0000255C, "export_0_counts");
  MakeDword(0x0000255C);
  MakeName(0x00002560, "export_0_exports");
  MakeDword(0x00002560);
  OpOff(0x00002560, 0, 0);
  MakeName(0x00002618, "export_0_module_start");
  MakeDword(0x00002618);
  MakeName(0x00002624, "");
  MakeDword(0x00002624);
  OpOff(0x00002624, 0, 0);
  MakeName(0x00000000, "module_start");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x0000261C, "export_0_module_reboot_before");
  MakeDword(0x0000261C);
  MakeName(0x00002628, "");
  MakeDword(0x00002628);
  OpOff(0x00002628, 0, 0);
  MakeName(0x00000048, "module_reboot_before");
  MakeFunction(0x00000048, BADADDR);
  MakeName(0x00002620, "export_0_module_info");
  MakeDword(0x00002620);
  MakeName(0x0000262C, "");
  MakeDword(0x0000262C);
  OpOff(0x0000262C, 0, 0);
  MakeName(0x00002564, "export_1");
  MakeDword(0x00002564);
  OpOff(0x00002564, 0, 0);
  MakeName(0x00002630, "export_1_name");
  MakeStr(0x00002630, BADADDR);
  MakeName(0x00002568, "export_1_flags");
  MakeDword(0x00002568);
  MakeName(0x0000256C, "export_1_counts");
  MakeDword(0x0000256C);
  MakeName(0x00002570, "export_1_exports");
  MakeDword(0x00002570);
  OpOff(0x00002570, 0, 0);
  MakeName(0x00002644, "export_1_sceSysregInit");
  MakeDword(0x00002644);
  MakeName(0x000028A0, "");
  MakeDword(0x000028A0);
  OpOff(0x000028A0, 0, 0);
  MakeName(0x00000068, "sceSysregInit");
  MakeFunction(0x00000068, BADADDR);
  MakeName(0x00002648, "export_1_sceSysregEnd");
  MakeDword(0x00002648);
  MakeName(0x000028A4, "");
  MakeDword(0x000028A4);
  OpOff(0x000028A4, 0, 0);
  MakeName(0x00000094, "sceSysregEnd");
  MakeFunction(0x00000094, BADADDR);
  MakeName(0x0000264C, "export_1_sceSysreg_driver_E88B77ED");
  MakeDword(0x0000264C);
  MakeName(0x000028A8, "");
  MakeDword(0x000028A8);
  OpOff(0x000028A8, 0, 0);
  MakeName(0x0000025C, "sceSysreg_driver_E88B77ED");
  MakeFunction(0x0000025C, BADADDR);
  MakeName(0x00002650, "export_1_sceSysregDoTimerEvent");
  MakeDword(0x00002650);
  MakeName(0x000028AC, "");
  MakeDword(0x000028AC);
  OpOff(0x000028AC, 0, 0);
  MakeName(0x000000CC, "sceSysregDoTimerEvent");
  MakeFunction(0x000000CC, BADADDR);
  MakeName(0x00002654, "export_1_sceSysreg_driver_844AF6BD");
  MakeDword(0x00002654);
  MakeName(0x000028B0, "");
  MakeDword(0x000028B0);
  OpOff(0x000028B0, 0, 0);
  MakeName(0x000002BC, "sceSysreg_driver_844AF6BD");
  MakeFunction(0x000002BC, BADADDR);
  MakeName(0x00002658, "export_1_sceSysregGetTachyonVersion");
  MakeDword(0x00002658);
  MakeName(0x000028B4, "");
  MakeDword(0x000028B4);
  OpOff(0x000028B4, 0, 0);
  MakeName(0x000001B4, "sceSysregGetTachyonVersion");
  MakeFunction(0x000001B4, BADADDR);
  MakeName(0x0000265C, "export_1_sceSysregGetFuseId");
  MakeDword(0x0000265C);
  MakeName(0x000028B8, "");
  MakeDword(0x000028B8);
  OpOff(0x000028B8, 0, 0);
  MakeName(0x000002F0, "sceSysregGetFuseId");
  MakeFunction(0x000002F0, BADADDR);
  MakeName(0x00002660, "export_1_sceSysregGetFuseConfig");
  MakeDword(0x00002660);
  MakeName(0x000028BC, "");
  MakeDword(0x000028BC);
  OpOff(0x000028BC, 0, 0);
  MakeName(0x00000314, "sceSysregGetFuseConfig");
  MakeFunction(0x00000314, BADADDR);
  MakeName(0x00002664, "export_1_sceSysregTopResetEnable");
  MakeDword(0x00002664);
  MakeName(0x000028C0, "");
  MakeDword(0x000028C0);
  OpOff(0x000028C0, 0, 0);
  MakeName(0x00000324, "sceSysregTopResetEnable");
  MakeFunction(0x00000324, BADADDR);
  MakeName(0x00002668, "export_1_sceSysregScResetEnable");
  MakeDword(0x00002668);
  MakeName(0x000028C4, "");
  MakeDword(0x000028C4);
  OpOff(0x000028C4, 0, 0);
  MakeName(0x00000344, "sceSysregScResetEnable");
  MakeFunction(0x00000344, BADADDR);
  MakeName(0x0000266C, "export_1_sceSysregMeResetEnable");
  MakeDword(0x0000266C);
  MakeName(0x000028C8, "");
  MakeDword(0x000028C8);
  OpOff(0x000028C8, 0, 0);
  MakeName(0x00000364, "sceSysregMeResetEnable");
  MakeFunction(0x00000364, BADADDR);
  MakeName(0x00002670, "export_1_sceSysregMeResetDisable");
  MakeDword(0x00002670);
  MakeName(0x000028CC, "");
  MakeDword(0x000028CC);
  OpOff(0x000028CC, 0, 0);
  MakeName(0x00000384, "sceSysregMeResetDisable");
  MakeFunction(0x00000384, BADADDR);
  MakeName(0x00002674, "export_1_sceSysregAwResetEnable");
  MakeDword(0x00002674);
  MakeName(0x000028D0, "");
  MakeDword(0x000028D0);
  OpOff(0x000028D0, 0, 0);
  MakeName(0x000003A4, "sceSysregAwResetEnable");
  MakeFunction(0x000003A4, BADADDR);
  MakeName(0x00002678, "export_1_sceSysregAwResetDisable");
  MakeDword(0x00002678);
  MakeName(0x000028D4, "");
  MakeDword(0x000028D4);
  OpOff(0x000028D4, 0, 0);
  MakeName(0x000003C4, "sceSysregAwResetDisable");
  MakeFunction(0x000003C4, BADADDR);
  MakeName(0x0000267C, "export_1_sceSysregVmeResetEnable");
  MakeDword(0x0000267C);
  MakeName(0x000028D8, "");
  MakeDword(0x000028D8);
  OpOff(0x000028D8, 0, 0);
  MakeName(0x000003E4, "sceSysregVmeResetEnable");
  MakeFunction(0x000003E4, BADADDR);
  MakeName(0x00002680, "export_1_sceSysregVmeResetDisable");
  MakeDword(0x00002680);
  MakeName(0x000028DC, "");
  MakeDword(0x000028DC);
  OpOff(0x000028DC, 0, 0);
  MakeName(0x00000404, "sceSysregVmeResetDisable");
  MakeFunction(0x00000404, BADADDR);
  MakeName(0x00002684, "export_1_sceSysregAvcResetEnable");
  MakeDword(0x00002684);
  MakeName(0x000028E0, "");
  MakeDword(0x000028E0);
  OpOff(0x000028E0, 0, 0);
  MakeName(0x00000424, "sceSysregAvcResetEnable");
  MakeFunction(0x00000424, BADADDR);
  MakeName(0x00002688, "export_1_sceSysregAvcResetDisable");
  MakeDword(0x00002688);
  MakeName(0x000028E4, "");
  MakeDword(0x000028E4);
  OpOff(0x000028E4, 0, 0);
  MakeName(0x00000444, "sceSysregAvcResetDisable");
  MakeFunction(0x00000444, BADADDR);
  MakeName(0x0000268C, "export_1_sceSysregUsbResetEnable");
  MakeDword(0x0000268C);
  MakeName(0x000028E8, "");
  MakeDword(0x000028E8);
  OpOff(0x000028E8, 0, 0);
  MakeName(0x00000464, "sceSysregUsbResetEnable");
  MakeFunction(0x00000464, BADADDR);
  MakeName(0x00002690, "export_1_sceSysregUsbResetDisable");
  MakeDword(0x00002690);
  MakeName(0x000028EC, "");
  MakeDword(0x000028EC);
  OpOff(0x000028EC, 0, 0);
  MakeName(0x00000484, "sceSysregUsbResetDisable");
  MakeFunction(0x00000484, BADADDR);
  MakeName(0x00002694, "export_1_sceSysregAtaResetEnable");
  MakeDword(0x00002694);
  MakeName(0x000028F0, "");
  MakeDword(0x000028F0);
  OpOff(0x000028F0, 0, 0);
  MakeName(0x000004A4, "sceSysregAtaResetEnable");
  MakeFunction(0x000004A4, BADADDR);
  MakeName(0x00002698, "export_1_sceSysregAtaResetDisable");
  MakeDword(0x00002698);
  MakeName(0x000028F4, "");
  MakeDword(0x000028F4);
  OpOff(0x000028F4, 0, 0);
  MakeName(0x000004C4, "sceSysregAtaResetDisable");
  MakeFunction(0x000004C4, BADADDR);
  MakeName(0x0000269C, "export_1_sceSysregMsifResetEnable");
  MakeDword(0x0000269C);
  MakeName(0x000028F8, "");
  MakeDword(0x000028F8);
  OpOff(0x000028F8, 0, 0);
  MakeName(0x000004E4, "sceSysregMsifResetEnable");
  MakeFunction(0x000004E4, BADADDR);
  MakeName(0x000026A0, "export_1_sceSysregMsifResetDisable");
  MakeDword(0x000026A0);
  MakeName(0x000028FC, "");
  MakeDword(0x000028FC);
  OpOff(0x000028FC, 0, 0);
  MakeName(0x00000528, "sceSysregMsifResetDisable");
  MakeFunction(0x00000528, BADADDR);
  MakeName(0x000026A4, "export_1_sceSysregKirkResetEnable");
  MakeDword(0x000026A4);
  MakeName(0x00002900, "");
  MakeDword(0x00002900);
  OpOff(0x00002900, 0, 0);
  MakeName(0x0000056C, "sceSysregKirkResetEnable");
  MakeFunction(0x0000056C, BADADDR);
  MakeName(0x000026A8, "export_1_sceSysregKirkResetDisable");
  MakeDword(0x000026A8);
  MakeName(0x00002904, "");
  MakeDword(0x00002904);
  OpOff(0x00002904, 0, 0);
  MakeName(0x0000058C, "sceSysregKirkResetDisable");
  MakeFunction(0x0000058C, BADADDR);
  MakeName(0x000026AC, "export_1_sceSysregPllGetFrequency");
  MakeDword(0x000026AC);
  MakeName(0x00002908, "");
  MakeDword(0x00002908);
  OpOff(0x00002908, 0, 0);
  MakeName(0x00000710, "sceSysregPllGetFrequency");
  MakeFunction(0x00000710, BADADDR);
  MakeName(0x000026B0, "export_1_sceSysregPllUpdateFrequency");
  MakeDword(0x000026B0);
  MakeName(0x0000290C, "");
  MakeDword(0x0000290C);
  OpOff(0x0000290C, 0, 0);
  MakeName(0x00000618, "sceSysregPllUpdateFrequency");
  MakeFunction(0x00000618, BADADDR);
  MakeName(0x000026B4, "export_1_sceSysregPllGetBaseFrequency");
  MakeDword(0x000026B4);
  MakeName(0x00002910, "");
  MakeDword(0x00002910);
  OpOff(0x00002910, 0, 0);
  MakeName(0x00000704, "sceSysregPllGetBaseFrequency");
  MakeFunction(0x00000704, BADADDR);
  MakeName(0x000026B8, "export_1_sceSysregPllGetOutSelect");
  MakeDword(0x000026B8);
  MakeName(0x00002914, "");
  MakeDword(0x00002914);
  OpOff(0x00002914, 0, 0);
  MakeName(0x0000071C, "sceSysregPllGetOutSelect");
  MakeFunction(0x0000071C, BADADDR);
  MakeName(0x000026BC, "export_1_sceSysregPllSetOutSelect");
  MakeDword(0x000026BC);
  MakeName(0x00002918, "");
  MakeDword(0x00002918);
  OpOff(0x00002918, 0, 0);
  MakeName(0x00000670, "sceSysregPllSetOutSelect");
  MakeFunction(0x00000670, BADADDR);
  MakeName(0x000026C0, "export_1_sceSysregMeBusClockEnable");
  MakeDword(0x000026C0);
  MakeName(0x0000291C, "");
  MakeDword(0x0000291C);
  OpOff(0x0000291C, 0, 0);
  MakeName(0x00000730, "sceSysregMeBusClockEnable");
  MakeFunction(0x00000730, BADADDR);
  MakeName(0x000026C4, "export_1_sceSysregMeBusClockDisable");
  MakeDword(0x000026C4);
  MakeName(0x00002920, "");
  MakeDword(0x00002920);
  OpOff(0x00002920, 0, 0);
  MakeName(0x00000750, "sceSysregMeBusClockDisable");
  MakeFunction(0x00000750, BADADDR);
  MakeName(0x000026C8, "export_1_sceSysregAwRegABusClockEnable");
  MakeDword(0x000026C8);
  MakeName(0x00002924, "");
  MakeDword(0x00002924);
  OpOff(0x00002924, 0, 0);
  MakeName(0x00000770, "sceSysregAwRegABusClockEnable");
  MakeFunction(0x00000770, BADADDR);
  MakeName(0x000026CC, "export_1_sceSysregAwRegABusClockDisable");
  MakeDword(0x000026CC);
  MakeName(0x00002928, "");
  MakeDword(0x00002928);
  OpOff(0x00002928, 0, 0);
  MakeName(0x00000790, "sceSysregAwRegABusClockDisable");
  MakeFunction(0x00000790, BADADDR);
  MakeName(0x000026D0, "export_1_sceSysregAwRegBBusClockEnable");
  MakeDword(0x000026D0);
  MakeName(0x0000292C, "");
  MakeDword(0x0000292C);
  OpOff(0x0000292C, 0, 0);
  MakeName(0x000007B0, "sceSysregAwRegBBusClockEnable");
  MakeFunction(0x000007B0, BADADDR);
  MakeName(0x000026D4, "export_1_sceSysregAwRegBBusClockDisable");
  MakeDword(0x000026D4);
  MakeName(0x00002930, "");
  MakeDword(0x00002930);
  OpOff(0x00002930, 0, 0);
  MakeName(0x000007D0, "sceSysregAwRegBBusClockDisable");
  MakeFunction(0x000007D0, BADADDR);
  MakeName(0x000026D8, "export_1_sceSysregAwEdramBusClockEnable");
  MakeDword(0x000026D8);
  MakeName(0x00002934, "");
  MakeDword(0x00002934);
  OpOff(0x00002934, 0, 0);
  MakeName(0x000007F0, "sceSysregAwEdramBusClockEnable");
  MakeFunction(0x000007F0, BADADDR);
  MakeName(0x000026DC, "export_1_sceSysregAwEdramBusClockDisable");
  MakeDword(0x000026DC);
  MakeName(0x00002938, "");
  MakeDword(0x00002938);
  OpOff(0x00002938, 0, 0);
  MakeName(0x00000810, "sceSysregAwEdramBusClockDisable");
  MakeFunction(0x00000810, BADADDR);
  MakeName(0x000026E0, "export_1_sceSysregDmacplusBusClockEnable");
  MakeDword(0x000026E0);
  MakeName(0x0000293C, "");
  MakeDword(0x0000293C);
  OpOff(0x0000293C, 0, 0);
  MakeName(0x00000830, "sceSysregDmacplusBusClockEnable");
  MakeFunction(0x00000830, BADADDR);
  MakeName(0x000026E4, "export_1_sceSysregDmacplusBusClockDisable");
  MakeDword(0x000026E4);
  MakeName(0x00002940, "");
  MakeDword(0x00002940);
  OpOff(0x00002940, 0, 0);
  MakeName(0x00000850, "sceSysregDmacplusBusClockDisable");
  MakeFunction(0x00000850, BADADDR);
  MakeName(0x000026E8, "export_1_sceSysregDmacBusClockEnable");
  MakeDword(0x000026E8);
  MakeName(0x00002944, "");
  MakeDword(0x00002944);
  OpOff(0x00002944, 0, 0);
  MakeName(0x00000870, "sceSysregDmacBusClockEnable");
  MakeFunction(0x00000870, BADADDR);
  MakeName(0x000026EC, "export_1_sceSysregDmacBusClockDisable");
  MakeDword(0x000026EC);
  MakeName(0x00002948, "");
  MakeDword(0x00002948);
  OpOff(0x00002948, 0, 0);
  MakeName(0x000008B4, "sceSysregDmacBusClockDisable");
  MakeFunction(0x000008B4, BADADDR);
  MakeName(0x000026F0, "export_1_sceSysregKirkBusClockEnable");
  MakeDword(0x000026F0);
  MakeName(0x0000294C, "");
  MakeDword(0x0000294C);
  OpOff(0x0000294C, 0, 0);
  MakeName(0x000008F8, "sceSysregKirkBusClockEnable");
  MakeFunction(0x000008F8, BADADDR);
  MakeName(0x000026F4, "export_1_sceSysregKirkBusClockDisable");
  MakeDword(0x000026F4);
  MakeName(0x00002950, "");
  MakeDword(0x00002950);
  OpOff(0x00002950, 0, 0);
  MakeName(0x00000918, "sceSysregKirkBusClockDisable");
  MakeFunction(0x00000918, BADADDR);
  MakeName(0x000026F8, "export_1_sceSysregAtaBusClockEnable");
  MakeDword(0x000026F8);
  MakeName(0x00002954, "");
  MakeDword(0x00002954);
  OpOff(0x00002954, 0, 0);
  MakeName(0x00000938, "sceSysregAtaBusClockEnable");
  MakeFunction(0x00000938, BADADDR);
  MakeName(0x000026FC, "export_1_sceSysregAtaBusClockDisable");
  MakeDword(0x000026FC);
  MakeName(0x00002958, "");
  MakeDword(0x00002958);
  OpOff(0x00002958, 0, 0);
  MakeName(0x00000958, "sceSysregAtaBusClockDisable");
  MakeFunction(0x00000958, BADADDR);
  MakeName(0x00002700, "export_1_sceSysregUsbBusClockEnable");
  MakeDword(0x00002700);
  MakeName(0x0000295C, "");
  MakeDword(0x0000295C);
  OpOff(0x0000295C, 0, 0);
  MakeName(0x00000978, "sceSysregUsbBusClockEnable");
  MakeFunction(0x00000978, BADADDR);
  MakeName(0x00002704, "export_1_sceSysregUsbBusClockDisable");
  MakeDword(0x00002704);
  MakeName(0x00002960, "");
  MakeDword(0x00002960);
  OpOff(0x00002960, 0, 0);
  MakeName(0x00000998, "sceSysregUsbBusClockDisable");
  MakeFunction(0x00000998, BADADDR);
  MakeName(0x00002708, "export_1_sceSysregMsifBusClockEnable");
  MakeDword(0x00002708);
  MakeName(0x00002964, "");
  MakeDword(0x00002964);
  OpOff(0x00002964, 0, 0);
  MakeName(0x000009B8, "sceSysregMsifBusClockEnable");
  MakeFunction(0x000009B8, BADADDR);
  MakeName(0x0000270C, "export_1_sceSysregMsifBusClockDisable");
  MakeDword(0x0000270C);
  MakeName(0x00002968, "");
  MakeDword(0x00002968);
  OpOff(0x00002968, 0, 0);
  MakeName(0x000009FC, "sceSysregMsifBusClockDisable");
  MakeFunction(0x000009FC, BADADDR);
  MakeName(0x00002710, "export_1_sceSysregEmcddrBusClockEnable");
  MakeDword(0x00002710);
  MakeName(0x0000296C, "");
  MakeDword(0x0000296C);
  OpOff(0x0000296C, 0, 0);
  MakeName(0x00000A40, "sceSysregEmcddrBusClockEnable");
  MakeFunction(0x00000A40, BADADDR);
  MakeName(0x00002714, "export_1_sceSysregEmcddrBusClockDisable");
  MakeDword(0x00002714);
  MakeName(0x00002970, "");
  MakeDword(0x00002970);
  OpOff(0x00002970, 0, 0);
  MakeName(0x00000A60, "sceSysregEmcddrBusClockDisable");
  MakeFunction(0x00000A60, BADADDR);
  MakeName(0x00002718, "export_1_sceSysregEmcsmBusClockEnable");
  MakeDword(0x00002718);
  MakeName(0x00002974, "");
  MakeDword(0x00002974);
  OpOff(0x00002974, 0, 0);
  MakeName(0x00000A80, "sceSysregEmcsmBusClockEnable");
  MakeFunction(0x00000A80, BADADDR);
  MakeName(0x0000271C, "export_1_sceSysregEmcsmBusClockDisable");
  MakeDword(0x0000271C);
  MakeName(0x00002978, "");
  MakeDword(0x00002978);
  OpOff(0x00002978, 0, 0);
  MakeName(0x00000AA0, "sceSysregEmcsmBusClockDisable");
  MakeFunction(0x00000AA0, BADADDR);
  MakeName(0x00002720, "export_1_sceSysregApbBusClockEnable");
  MakeDword(0x00002720);
  MakeName(0x0000297C, "");
  MakeDword(0x0000297C);
  OpOff(0x0000297C, 0, 0);
  MakeName(0x00000AC0, "sceSysregApbBusClockEnable");
  MakeFunction(0x00000AC0, BADADDR);
  MakeName(0x00002724, "export_1_sceSysregApbBusClockDisable");
  MakeDword(0x00002724);
  MakeName(0x00002980, "");
  MakeDword(0x00002980);
  OpOff(0x00002980, 0, 0);
  MakeName(0x00000AE0, "sceSysregApbBusClockDisable");
  MakeFunction(0x00000AE0, BADADDR);
  MakeName(0x00002728, "export_1_sceSysregAudioBusClockEnable");
  MakeDword(0x00002728);
  MakeName(0x00002984, "");
  MakeDword(0x00002984);
  OpOff(0x00002984, 0, 0);
  MakeName(0x00000B00, "sceSysregAudioBusClockEnable");
  MakeFunction(0x00000B00, BADADDR);
  MakeName(0x0000272C, "export_1_sceSysregAudioBusClockDisable");
  MakeDword(0x0000272C);
  MakeName(0x00002988, "");
  MakeDword(0x00002988);
  OpOff(0x00002988, 0, 0);
  MakeName(0x00000B44, "sceSysregAudioBusClockDisable");
  MakeFunction(0x00000B44, BADADDR);
  MakeName(0x00002730, "export_1_sceSysregAtaClkEnable");
  MakeDword(0x00002730);
  MakeName(0x0000298C, "");
  MakeDword(0x0000298C);
  OpOff(0x0000298C, 0, 0);
  MakeName(0x00000CE8, "sceSysregAtaClkEnable");
  MakeFunction(0x00000CE8, BADADDR);
  MakeName(0x00002734, "export_1_sceSysregAtaClkDisable");
  MakeDword(0x00002734);
  MakeName(0x00002990, "");
  MakeDword(0x00002990);
  OpOff(0x00002990, 0, 0);
  MakeName(0x00000D08, "sceSysregAtaClkDisable");
  MakeFunction(0x00000D08, BADADDR);
  MakeName(0x00002738, "export_1_sceSysregUsbClkEnable");
  MakeDword(0x00002738);
  MakeName(0x00002994, "");
  MakeDword(0x00002994);
  OpOff(0x00002994, 0, 0);
  MakeName(0x00000D28, "sceSysregUsbClkEnable");
  MakeFunction(0x00000D28, BADADDR);
  MakeName(0x0000273C, "export_1_sceSysregUsbClkDisable");
  MakeDword(0x0000273C);
  MakeName(0x00002998, "");
  MakeDword(0x00002998);
  OpOff(0x00002998, 0, 0);
  MakeName(0x00000D4C, "sceSysregUsbClkDisable");
  MakeFunction(0x00000D4C, BADADDR);
  MakeName(0x00002740, "export_1_sceSysregMsifClkEnable");
  MakeDword(0x00002740);
  MakeName(0x0000299C, "");
  MakeDword(0x0000299C);
  OpOff(0x0000299C, 0, 0);
  MakeName(0x00000BF4, "sceSysregMsifClkEnable");
  MakeFunction(0x00000BF4, BADADDR);
  MakeName(0x00002744, "export_1_sceSysregMsifClkDisable");
  MakeDword(0x00002744);
  MakeName(0x000029A0, "");
  MakeDword(0x000029A0);
  OpOff(0x000029A0, 0, 0);
  MakeName(0x00000C38, "sceSysregMsifClkDisable");
  MakeFunction(0x00000C38, BADADDR);
  MakeName(0x00002748, "export_1_sceSysregSpiClkEnable");
  MakeDword(0x00002748);
  MakeName(0x000029A4, "");
  MakeDword(0x000029A4);
  OpOff(0x000029A4, 0, 0);
  MakeName(0x00000D70, "sceSysregSpiClkEnable");
  MakeFunction(0x00000D70, BADADDR);
  MakeName(0x0000274C, "export_1_sceSysregSpiClkDisable");
  MakeDword(0x0000274C);
  MakeName(0x000029A8, "");
  MakeDword(0x000029A8);
  OpOff(0x000029A8, 0, 0);
  MakeName(0x00000DB4, "sceSysregSpiClkDisable");
  MakeFunction(0x00000DB4, BADADDR);
  MakeName(0x00002750, "export_1_sceSysregUartClkEnable");
  MakeDword(0x00002750);
  MakeName(0x000029AC, "");
  MakeDword(0x000029AC);
  OpOff(0x000029AC, 0, 0);
  MakeName(0x00000DF8, "sceSysregUartClkEnable");
  MakeFunction(0x00000DF8, BADADDR);
  MakeName(0x00002754, "export_1_sceSysregUartClkDisable");
  MakeDword(0x00002754);
  MakeName(0x000029B0, "");
  MakeDword(0x000029B0);
  OpOff(0x000029B0, 0, 0);
  MakeName(0x00000E3C, "sceSysregUartClkDisable");
  MakeFunction(0x00000E3C, BADADDR);
  MakeName(0x00002758, "export_1_sceSysregApbTimerClkEnable");
  MakeDword(0x00002758);
  MakeName(0x000029B4, "");
  MakeDword(0x000029B4);
  OpOff(0x000029B4, 0, 0);
  MakeName(0x00000E80, "sceSysregApbTimerClkEnable");
  MakeFunction(0x00000E80, BADADDR);
  MakeName(0x0000275C, "export_1_sceSysregApbTimerClkDisable");
  MakeDword(0x0000275C);
  MakeName(0x000029B8, "");
  MakeDword(0x000029B8);
  OpOff(0x000029B8, 0, 0);
  MakeName(0x00000EC4, "sceSysregApbTimerClkDisable");
  MakeFunction(0x00000EC4, BADADDR);
  MakeName(0x00002760, "export_1_sceSysregAudioClkEnable");
  MakeDword(0x00002760);
  MakeName(0x000029BC, "");
  MakeDword(0x000029BC);
  OpOff(0x000029BC, 0, 0);
  MakeName(0x00000F08, "sceSysregAudioClkEnable");
  MakeFunction(0x00000F08, BADADDR);
  MakeName(0x00002764, "export_1_sceSysregAudioClkDisable");
  MakeDword(0x00002764);
  MakeName(0x000029C0, "");
  MakeDword(0x000029C0);
  OpOff(0x000029C0, 0, 0);
  MakeName(0x00000F4C, "sceSysregAudioClkDisable");
  MakeFunction(0x00000F4C, BADADDR);
  MakeName(0x00002768, "export_1_sceSysregLcdcClkEnable");
  MakeDword(0x00002768);
  MakeName(0x000029C4, "");
  MakeDword(0x000029C4);
  OpOff(0x000029C4, 0, 0);
  MakeName(0x00000F90, "sceSysregLcdcClkEnable");
  MakeFunction(0x00000F90, BADADDR);
  MakeName(0x0000276C, "export_1_sceSysregLcdcClkDisable");
  MakeDword(0x0000276C);
  MakeName(0x000029C8, "");
  MakeDword(0x000029C8);
  OpOff(0x000029C8, 0, 0);
  MakeName(0x00000FB0, "sceSysregLcdcClkDisable");
  MakeFunction(0x00000FB0, BADADDR);
  MakeName(0x00002770, "export_1_sceSysregPwmClkEnable");
  MakeDword(0x00002770);
  MakeName(0x000029CC, "");
  MakeDword(0x000029CC);
  OpOff(0x000029CC, 0, 0);
  MakeName(0x00000FD0, "sceSysregPwmClkEnable");
  MakeFunction(0x00000FD0, BADADDR);
  MakeName(0x00002774, "export_1_sceSysregPwmClkDisable");
  MakeDword(0x00002774);
  MakeName(0x000029D0, "");
  MakeDword(0x000029D0);
  OpOff(0x000029D0, 0, 0);
  MakeName(0x00000FF0, "sceSysregPwmClkDisable");
  MakeFunction(0x00000FF0, BADADDR);
  MakeName(0x00002778, "export_1_sceSysregKeyClkEnable");
  MakeDword(0x00002778);
  MakeName(0x000029D4, "");
  MakeDword(0x000029D4);
  OpOff(0x000029D4, 0, 0);
  MakeName(0x00001010, "sceSysregKeyClkEnable");
  MakeFunction(0x00001010, BADADDR);
  MakeName(0x0000277C, "export_1_sceSysregKeyClkDisable");
  MakeDword(0x0000277C);
  MakeName(0x000029D8, "");
  MakeDword(0x000029D8);
  OpOff(0x000029D8, 0, 0);
  MakeName(0x0000101C, "sceSysregKeyClkDisable");
  MakeFunction(0x0000101C, BADADDR);
  MakeName(0x00002780, "export_1_sceSysregIicClkEnable");
  MakeDword(0x00002780);
  MakeName(0x000029DC, "");
  MakeDword(0x000029DC);
  OpOff(0x000029DC, 0, 0);
  MakeName(0x00001028, "sceSysregIicClkEnable");
  MakeFunction(0x00001028, BADADDR);
  MakeName(0x00002784, "export_1_sceSysregIicClkDisable");
  MakeDword(0x00002784);
  MakeName(0x000029E0, "");
  MakeDword(0x000029E0);
  OpOff(0x000029E0, 0, 0);
  MakeName(0x00001048, "sceSysregIicClkDisable");
  MakeFunction(0x00001048, BADADDR);
  MakeName(0x00002788, "export_1_sceSysregSircsClkEnable");
  MakeDword(0x00002788);
  MakeName(0x000029E4, "");
  MakeDword(0x000029E4);
  OpOff(0x000029E4, 0, 0);
  MakeName(0x00001068, "sceSysregSircsClkEnable");
  MakeFunction(0x00001068, BADADDR);
  MakeName(0x0000278C, "export_1_sceSysregSircsClkDisable");
  MakeDword(0x0000278C);
  MakeName(0x000029E8, "");
  MakeDword(0x000029E8);
  OpOff(0x000029E8, 0, 0);
  MakeName(0x00001088, "sceSysregSircsClkDisable");
  MakeFunction(0x00001088, BADADDR);
  MakeName(0x00002790, "export_1_sceSysregGpioClkEnable");
  MakeDword(0x00002790);
  MakeName(0x000029EC, "");
  MakeDword(0x000029EC);
  OpOff(0x000029EC, 0, 0);
  MakeName(0x000010A8, "sceSysregGpioClkEnable");
  MakeFunction(0x000010A8, BADADDR);
  MakeName(0x00002794, "export_1_sceSysregGpioClkDisable");
  MakeDword(0x00002794);
  MakeName(0x000029F0, "");
  MakeDword(0x000029F0);
  OpOff(0x000029F0, 0, 0);
  MakeName(0x000010C8, "sceSysregGpioClkDisable");
  MakeFunction(0x000010C8, BADADDR);
  MakeName(0x00002798, "export_1_sceSysregAudioClkoutClkEnable");
  MakeDword(0x00002798);
  MakeName(0x000029F4, "");
  MakeDword(0x000029F4);
  OpOff(0x000029F4, 0, 0);
  MakeName(0x000010E8, "sceSysregAudioClkoutClkEnable");
  MakeFunction(0x000010E8, BADADDR);
  MakeName(0x0000279C, "export_1_sceSysregAudioClkoutClkDisable");
  MakeDword(0x0000279C);
  MakeName(0x000029F8, "");
  MakeDword(0x000029F8);
  OpOff(0x000029F8, 0, 0);
  MakeName(0x00001108, "sceSysregAudioClkoutClkDisable");
  MakeFunction(0x00001108, BADADDR);
  MakeName(0x000027A0, "export_1_sceSysregMsifClkSelect");
  MakeDword(0x000027A0);
  MakeName(0x000029FC, "");
  MakeDword(0x000029FC);
  OpOff(0x000029FC, 0, 0);
  MakeName(0x00001194, "sceSysregMsifClkSelect");
  MakeFunction(0x00001194, BADADDR);
  MakeName(0x000027A4, "export_1_sceSysregMsifDelaySelect");
  MakeDword(0x000027A4);
  MakeName(0x00002A00, "");
  MakeDword(0x00002A00);
  OpOff(0x00002A00, 0, 0);
  MakeName(0x00001230, "sceSysregMsifDelaySelect");
  MakeFunction(0x00001230, BADADDR);
  MakeName(0x000027A8, "export_1_sceSysregAtaClkSelect");
  MakeDword(0x000027A8);
  MakeName(0x00002A04, "");
  MakeDword(0x00002A04);
  OpOff(0x00002A04, 0, 0);
  MakeName(0x000015AC, "sceSysregAtaClkSelect");
  MakeFunction(0x000015AC, BADADDR);
  MakeName(0x000027AC, "export_1_sceSysregApbTimerClkSelect");
  MakeDword(0x000027AC);
  MakeName(0x00002A08, "");
  MakeDword(0x00002A08);
  OpOff(0x00002A08, 0, 0);
  MakeName(0x000012CC, "sceSysregApbTimerClkSelect");
  MakeFunction(0x000012CC, BADADDR);
  MakeName(0x000027B0, "export_1_sceSysregAudioClkSelect");
  MakeDword(0x000027B0);
  MakeName(0x00002A0C, "");
  MakeDword(0x00002A0C);
  OpOff(0x00002A0C, 0, 0);
  MakeName(0x00001368, "sceSysregAudioClkSelect");
  MakeFunction(0x00001368, BADADDR);
  MakeName(0x000027B4, "export_1_sceSysregAudioClkoutClkSelect");
  MakeDword(0x000027B4);
  MakeName(0x00002A10, "");
  MakeDword(0x00002A10);
  OpOff(0x00002A10, 0, 0);
  MakeName(0x00001404, "sceSysregAudioClkoutClkSelect");
  MakeFunction(0x00001404, BADADDR);
  MakeName(0x000027B8, "export_1_sceSysregSpiClkSelect");
  MakeDword(0x000027B8);
  MakeName(0x00002A14, "");
  MakeDword(0x00002A14);
  OpOff(0x00002A14, 0, 0);
  MakeName(0x00001478, "sceSysregSpiClkSelect");
  MakeFunction(0x00001478, BADADDR);
  MakeName(0x000027BC, "export_1_sceSysregLcdcClkSelect");
  MakeDword(0x000027BC);
  MakeName(0x00002A18, "");
  MakeDword(0x00002A18);
  OpOff(0x00002A18, 0, 0);
  MakeName(0x00001514, "sceSysregLcdcClkSelect");
  MakeFunction(0x00001514, BADADDR);
  MakeName(0x000027C0, "export_1_sceSysregEmcsmIoEnable");
  MakeDword(0x000027C0);
  MakeName(0x00002A1C, "");
  MakeDword(0x00002A1C);
  OpOff(0x00002A1C, 0, 0);
  MakeName(0x0000161C, "sceSysregEmcsmIoEnable");
  MakeFunction(0x0000161C, BADADDR);
  MakeName(0x000027C4, "export_1_sceSysregEmcsmIoDisable");
  MakeDword(0x000027C4);
  MakeName(0x00002A20, "");
  MakeDword(0x00002A20);
  OpOff(0x00002A20, 0, 0);
  MakeName(0x0000163C, "sceSysregEmcsmIoDisable");
  MakeFunction(0x0000163C, BADADDR);
  MakeName(0x000027C8, "export_1_sceSysregUsbIoEnable");
  MakeDword(0x000027C8);
  MakeName(0x00002A24, "");
  MakeDword(0x00002A24);
  OpOff(0x00002A24, 0, 0);
  MakeName(0x0000165C, "sceSysregUsbIoEnable");
  MakeFunction(0x0000165C, BADADDR);
  MakeName(0x000027CC, "export_1_sceSysregUsbIoDisable");
  MakeDword(0x000027CC);
  MakeName(0x00002A28, "");
  MakeDword(0x00002A28);
  OpOff(0x00002A28, 0, 0);
  MakeName(0x0000167C, "sceSysregUsbIoDisable");
  MakeFunction(0x0000167C, BADADDR);
  MakeName(0x000027D0, "export_1_sceSysregAtaIoEnable");
  MakeDword(0x000027D0);
  MakeName(0x00002A2C, "");
  MakeDword(0x00002A2C);
  OpOff(0x00002A2C, 0, 0);
  MakeName(0x0000169C, "sceSysregAtaIoEnable");
  MakeFunction(0x0000169C, BADADDR);
  MakeName(0x000027D4, "export_1_sceSysregAtaIoDisable");
  MakeDword(0x000027D4);
  MakeName(0x00002A30, "");
  MakeDword(0x00002A30);
  OpOff(0x00002A30, 0, 0);
  MakeName(0x000016BC, "sceSysregAtaIoDisable");
  MakeFunction(0x000016BC, BADADDR);
  MakeName(0x000027D8, "export_1_sceSysregMsifIoEnable");
  MakeDword(0x000027D8);
  MakeName(0x00002A34, "");
  MakeDword(0x00002A34);
  OpOff(0x00002A34, 0, 0);
  MakeName(0x000016DC, "sceSysregMsifIoEnable");
  MakeFunction(0x000016DC, BADADDR);
  MakeName(0x000027DC, "export_1_sceSysregMsifIoDisable");
  MakeDword(0x000027DC);
  MakeName(0x00002A38, "");
  MakeDword(0x00002A38);
  OpOff(0x00002A38, 0, 0);
  MakeName(0x00001720, "sceSysregMsifIoDisable");
  MakeFunction(0x00001720, BADADDR);
  MakeName(0x000027E0, "export_1_sceSysregLcdcIoEnable");
  MakeDword(0x000027E0);
  MakeName(0x00002A3C, "");
  MakeDword(0x00002A3C);
  OpOff(0x00002A3C, 0, 0);
  MakeName(0x00001764, "sceSysregLcdcIoEnable");
  MakeFunction(0x00001764, BADADDR);
  MakeName(0x000027E4, "export_1_sceSysregLcdcIoDisable");
  MakeDword(0x000027E4);
  MakeName(0x00002A40, "");
  MakeDword(0x00002A40);
  OpOff(0x00002A40, 0, 0);
  MakeName(0x00001784, "sceSysregLcdcIoDisable");
  MakeFunction(0x00001784, BADADDR);
  MakeName(0x000027E8, "export_1_sceSysregAudioIoEnable");
  MakeDword(0x000027E8);
  MakeName(0x00002A44, "");
  MakeDword(0x00002A44);
  OpOff(0x00002A44, 0, 0);
  MakeName(0x000017A4, "sceSysregAudioIoEnable");
  MakeFunction(0x000017A4, BADADDR);
  MakeName(0x000027EC, "export_1_sceSysregAudioIoDisable");
  MakeDword(0x000027EC);
  MakeName(0x00002A48, "");
  MakeDword(0x00002A48);
  OpOff(0x00002A48, 0, 0);
  MakeName(0x000017E8, "sceSysregAudioIoDisable");
  MakeFunction(0x000017E8, BADADDR);
  MakeName(0x000027F0, "export_1_sceSysregIicIoEnable");
  MakeDword(0x000027F0);
  MakeName(0x00002A4C, "");
  MakeDword(0x00002A4C);
  OpOff(0x00002A4C, 0, 0);
  MakeName(0x0000182C, "sceSysregIicIoEnable");
  MakeFunction(0x0000182C, BADADDR);
  MakeName(0x000027F4, "export_1_sceSysregIicIoDisable");
  MakeDword(0x000027F4);
  MakeName(0x00002A50, "");
  MakeDword(0x00002A50);
  OpOff(0x00002A50, 0, 0);
  MakeName(0x0000184C, "sceSysregIicIoDisable");
  MakeFunction(0x0000184C, BADADDR);
  MakeName(0x000027F8, "export_1_sceSysregSircsIoEnable");
  MakeDword(0x000027F8);
  MakeName(0x00002A54, "");
  MakeDword(0x00002A54);
  OpOff(0x00002A54, 0, 0);
  MakeName(0x0000186C, "sceSysregSircsIoEnable");
  MakeFunction(0x0000186C, BADADDR);
  MakeName(0x000027FC, "export_1_sceSysregSircsIoDisable");
  MakeDword(0x000027FC);
  MakeName(0x00002A58, "");
  MakeDword(0x00002A58);
  OpOff(0x00002A58, 0, 0);
  MakeName(0x0000188C, "sceSysregSircsIoDisable");
  MakeFunction(0x0000188C, BADADDR);
  MakeName(0x00002800, "export_1_sceSysregAudioClkoutIoEnable");
  MakeDword(0x00002800);
  MakeName(0x00002A5C, "");
  MakeDword(0x00002A5C);
  OpOff(0x00002A5C, 0, 0);
  MakeName(0x000018AC, "sceSysregAudioClkoutIoEnable");
  MakeFunction(0x000018AC, BADADDR);
  MakeName(0x00002804, "export_1_sceSysregAudioClkoutIoDisable");
  MakeDword(0x00002804);
  MakeName(0x00002A60, "");
  MakeDword(0x00002A60);
  OpOff(0x00002A60, 0, 0);
  MakeName(0x000018CC, "sceSysregAudioClkoutIoDisable");
  MakeFunction(0x000018CC, BADADDR);
  MakeName(0x00002808, "export_1_sceSysregKeyIoEnable");
  MakeDword(0x00002808);
  MakeName(0x00002A64, "");
  MakeDword(0x00002A64);
  OpOff(0x00002A64, 0, 0);
  MakeName(0x000018EC, "sceSysregKeyIoEnable");
  MakeFunction(0x000018EC, BADADDR);
  MakeName(0x0000280C, "export_1_sceSysregKeyIoDisable");
  MakeDword(0x0000280C);
  MakeName(0x00002A68, "");
  MakeDword(0x00002A68);
  OpOff(0x00002A68, 0, 0);
  MakeName(0x000018F8, "sceSysregKeyIoDisable");
  MakeFunction(0x000018F8, BADADDR);
  MakeName(0x00002810, "export_1_sceSysregPwmIoEnable");
  MakeDword(0x00002810);
  MakeName(0x00002A6C, "");
  MakeDword(0x00002A6C);
  OpOff(0x00002A6C, 0, 0);
  MakeName(0x00001904, "sceSysregPwmIoEnable");
  MakeFunction(0x00001904, BADADDR);
  MakeName(0x00002814, "export_1_sceSysregPwmIoDisable");
  MakeDword(0x00002814);
  MakeName(0x00002A70, "");
  MakeDword(0x00002A70);
  OpOff(0x00002A70, 0, 0);
  MakeName(0x00001924, "sceSysregPwmIoDisable");
  MakeFunction(0x00001924, BADADDR);
  MakeName(0x00002818, "export_1_sceSysregUartIoEnable");
  MakeDword(0x00002818);
  MakeName(0x00002A74, "");
  MakeDword(0x00002A74);
  OpOff(0x00002A74, 0, 0);
  MakeName(0x00001944, "sceSysregUartIoEnable");
  MakeFunction(0x00001944, BADADDR);
  MakeName(0x0000281C, "export_1_sceSysregUartIoDisable");
  MakeDword(0x0000281C);
  MakeName(0x00002A78, "");
  MakeDword(0x00002A78);
  OpOff(0x00002A78, 0, 0);
  MakeName(0x00001988, "sceSysregUartIoDisable");
  MakeFunction(0x00001988, BADADDR);
  MakeName(0x00002820, "export_1_sceSysregSpiIoEnable");
  MakeDword(0x00002820);
  MakeName(0x00002A7C, "");
  MakeDword(0x00002A7C);
  OpOff(0x00002A7C, 0, 0);
  MakeName(0x000019CC, "sceSysregSpiIoEnable");
  MakeFunction(0x000019CC, BADADDR);
  MakeName(0x00002824, "export_1_sceSysregSpiIoDisable");
  MakeDword(0x00002824);
  MakeName(0x00002A80, "");
  MakeDword(0x00002A80);
  OpOff(0x00002A80, 0, 0);
  MakeName(0x00001A10, "sceSysregSpiIoDisable");
  MakeFunction(0x00001A10, BADADDR);
  MakeName(0x00002828, "export_1_sceSysregGpioIoEnable");
  MakeDword(0x00002828);
  MakeName(0x00002A84, "");
  MakeDword(0x00002A84);
  OpOff(0x00002A84, 0, 0);
  MakeName(0x00001A54, "sceSysregGpioIoEnable");
  MakeFunction(0x00001A54, BADADDR);
  MakeName(0x0000282C, "export_1_sceSysregGpioIoDisable");
  MakeDword(0x0000282C);
  MakeName(0x00002A88, "");
  MakeDword(0x00002A88);
  OpOff(0x00002A88, 0, 0);
  MakeName(0x00001A70, "sceSysregGpioIoDisable");
  MakeFunction(0x00001A70, BADADDR);
  MakeName(0x00002830, "export_1_sceSysreg_driver_55B18B84");
  MakeDword(0x00002830);
  MakeName(0x00002A8C, "");
  MakeDword(0x00002A8C);
  OpOff(0x00002A8C, 0, 0);
  MakeName(0x00001B88, "sceSysreg_driver_55B18B84");
  MakeFunction(0x00001B88, BADADDR);
  MakeName(0x00002834, "export_1_sceSysreg_driver_2112E686");
  MakeDword(0x00002834);
  MakeName(0x00002A90, "");
  MakeDword(0x00002A90);
  OpOff(0x00002A90, 0, 0);
  MakeName(0x00001BD0, "sceSysreg_driver_2112E686");
  MakeFunction(0x00001BD0, BADADDR);
  MakeName(0x00002838, "export_1_sceSysreg_driver_7B9E9A53");
  MakeDword(0x00002838);
  MakeName(0x00002A94, "");
  MakeDword(0x00002A94);
  OpOff(0x00002A94, 0, 0);
  MakeName(0x00001C84, "sceSysreg_driver_7B9E9A53");
  MakeFunction(0x00001C84, BADADDR);
  MakeName(0x0000283C, "export_1_sceSysreg_driver_7BDF0556");
  MakeDword(0x0000283C);
  MakeName(0x00002A98, "");
  MakeDword(0x00002A98);
  OpOff(0x00002A98, 0, 0);
  MakeName(0x00001CCC, "sceSysreg_driver_7BDF0556");
  MakeFunction(0x00001CCC, BADADDR);
  MakeName(0x00002840, "export_1_sceSysreg_driver_8D0FED1E");
  MakeDword(0x00002840);
  MakeName(0x00002A9C, "");
  MakeDword(0x00002A9C);
  OpOff(0x00002A9C, 0, 0);
  MakeName(0x00001D14, "sceSysreg_driver_8D0FED1E");
  MakeFunction(0x00001D14, BADADDR);
  MakeName(0x00002844, "export_1_sceSysreg_driver_A46E9CA8");
  MakeDword(0x00002844);
  MakeName(0x00002AA0, "");
  MakeDword(0x00002AA0);
  OpOff(0x00002AA0, 0, 0);
  MakeName(0x00001D34, "sceSysreg_driver_A46E9CA8");
  MakeFunction(0x00001D34, BADADDR);
  MakeName(0x00002848, "export_1_sceSysregUsbGetConnectStatus");
  MakeDword(0x00002848);
  MakeName(0x00002AA4, "");
  MakeDword(0x00002AA4);
  OpOff(0x00002AA4, 0, 0);
  MakeName(0x00001E34, "sceSysregUsbGetConnectStatus");
  MakeFunction(0x00001E34, BADADDR);
  MakeName(0x0000284C, "export_1_sceSysregUsbQueryIntr");
  MakeDword(0x0000284C);
  MakeName(0x00002AA8, "");
  MakeDword(0x00002AA8);
  OpOff(0x00002AA8, 0, 0);
  MakeName(0x00001E44, "sceSysregUsbQueryIntr");
  MakeFunction(0x00001E44, BADADDR);
  MakeName(0x00002850, "export_1_sceSysregUsbAcquireIntr");
  MakeDword(0x00002850);
  MakeName(0x00002AAC, "");
  MakeDword(0x00002AAC);
  OpOff(0x00002AAC, 0, 0);
  MakeName(0x00001E58, "sceSysregUsbAcquireIntr");
  MakeFunction(0x00001E58, BADADDR);
  MakeName(0x00002854, "export_1_sceSysregMsifGetConnectStatus");
  MakeDword(0x00002854);
  MakeName(0x00002AB0, "");
  MakeDword(0x00002AB0);
  OpOff(0x00002AB0, 0, 0);
  MakeName(0x00001D54, "sceSysregMsifGetConnectStatus");
  MakeFunction(0x00001D54, BADADDR);
  MakeName(0x00002858, "export_1_sceSysregMsifQueryConnectIntr");
  MakeDword(0x00002858);
  MakeName(0x00002AB4, "");
  MakeDword(0x00002AB4);
  OpOff(0x00002AB4, 0, 0);
  MakeName(0x00001D84, "sceSysregMsifQueryConnectIntr");
  MakeFunction(0x00001D84, BADADDR);
  MakeName(0x0000285C, "export_1_sceSysregMsifAcquireConnectIntr");
  MakeDword(0x0000285C);
  MakeName(0x00002AB8, "");
  MakeDword(0x00002AB8);
  OpOff(0x00002AB8, 0, 0);
  MakeName(0x00001DB4, "sceSysregMsifAcquireConnectIntr");
  MakeFunction(0x00001DB4, BADADDR);
  MakeName(0x00002860, "export_1_sceSysregIntrInit");
  MakeDword(0x00002860);
  MakeName(0x00002ABC, "");
  MakeDword(0x00002ABC);
  OpOff(0x00002ABC, 0, 0);
  MakeName(0x00002098, "sceSysregIntrInit");
  MakeFunction(0x00002098, BADADDR);
  MakeName(0x00002864, "export_1_sceSysregIntrEnd");
  MakeDword(0x00002864);
  MakeName(0x00002AC0, "");
  MakeDword(0x00002AC0);
  OpOff(0x00002AC0, 0, 0);
  MakeName(0x000020D8, "sceSysregIntrEnd");
  MakeFunction(0x000020D8, BADADDR);
  MakeName(0x00002868, "export_1_sceSysregInterruptToOther");
  MakeDword(0x00002868);
  MakeName(0x00002AC4, "");
  MakeDword(0x00002AC4);
  OpOff(0x00002AC4, 0, 0);
  MakeName(0x00001EAC, "sceSysregInterruptToOther");
  MakeFunction(0x00001EAC, BADADDR);
  MakeName(0x0000286C, "export_1_sceSysregSemaTryLock");
  MakeDword(0x0000286C);
  MakeName(0x00002AC8, "");
  MakeDword(0x00002AC8);
  OpOff(0x00002AC8, 0, 0);
  MakeName(0x00001ECC, "sceSysregSemaTryLock");
  MakeFunction(0x00001ECC, BADADDR);
  MakeName(0x00002870, "export_1_sceSysregSemaUnlock");
  MakeDword(0x00002870);
  MakeName(0x00002ACC, "");
  MakeDword(0x00002ACC);
  OpOff(0x00002ACC, 0, 0);
  MakeName(0x00001EFC, "sceSysregSemaUnlock");
  MakeFunction(0x00001EFC, BADADDR);
  MakeName(0x00002874, "export_1_sceSysregEnableIntr");
  MakeDword(0x00002874);
  MakeName(0x00002AD0, "");
  MakeDword(0x00002AD0);
  OpOff(0x00002AD0, 0, 0);
  MakeName(0x000020F8, "sceSysregEnableIntr");
  MakeFunction(0x000020F8, BADADDR);
  MakeName(0x00002878, "export_1_sceSysregDisableIntr");
  MakeDword(0x00002878);
  MakeName(0x00002AD4, "");
  MakeDword(0x00002AD4);
  OpOff(0x00002AD4, 0, 0);
  MakeName(0x00002160, "sceSysregDisableIntr");
  MakeFunction(0x00002160, BADADDR);
  MakeName(0x0000287C, "export_1_sceSysregRequestIntr");
  MakeDword(0x0000287C);
  MakeName(0x00002AD8, "");
  MakeDword(0x00002AD8);
  OpOff(0x00002AD8, 0, 0);
  MakeName(0x00002000, "sceSysregRequestIntr");
  MakeFunction(0x00002000, BADADDR);
  MakeName(0x00002880, "export_1_sceSysreg_driver_5664F8B5");
  MakeDword(0x00002880);
  MakeName(0x00002ADC, "");
  MakeDword(0x00002ADC);
  OpOff(0x00002ADC, 0, 0);
  MakeName(0x00002288, "sceSysreg_driver_5664F8B5");
  MakeFunction(0x00002288, BADADDR);
  MakeName(0x00002884, "export_1_sceSysreg_driver_44704E1D");
  MakeDword(0x00002884);
  MakeName(0x00002AE0, "");
  MakeDword(0x00002AE0);
  OpOff(0x00002AE0, 0, 0);
  MakeName(0x000022D8, "sceSysreg_driver_44704E1D");
  MakeFunction(0x000022D8, BADADDR);
  MakeName(0x00002888, "export_1_sceSysreg_driver_584AD989");
  MakeDword(0x00002888);
  MakeName(0x00002AE4, "");
  MakeDword(0x00002AE4);
  OpOff(0x00002AE4, 0, 0);
  MakeName(0x00002310, "sceSysreg_driver_584AD989");
  MakeFunction(0x00002310, BADADDR);
  MakeName(0x0000288C, "export_1_sceSysreg_driver_377F035F");
  MakeDword(0x0000288C);
  MakeName(0x00002AE8, "");
  MakeDword(0x00002AE8);
  OpOff(0x00002AE8, 0, 0);
  MakeName(0x00002360, "sceSysreg_driver_377F035F");
  MakeFunction(0x00002360, BADADDR);
  MakeName(0x00002890, "export_1_sceSysreg_driver_AB3185FD");
  MakeDword(0x00002890);
  MakeName(0x00002AEC, "");
  MakeDword(0x00002AEC);
  OpOff(0x00002AEC, 0, 0);
  MakeName(0x00002398, "sceSysreg_driver_AB3185FD");
  MakeFunction(0x00002398, BADADDR);
  MakeName(0x00002894, "export_1_sceSysreg_driver_0EA487FA");
  MakeDword(0x00002894);
  MakeName(0x00002AF0, "");
  MakeDword(0x00002AF0);
  OpOff(0x00002AF0, 0, 0);
  MakeName(0x00002404, "sceSysreg_driver_0EA487FA");
  MakeFunction(0x00002404, BADADDR);
  MakeName(0x00002898, "export_1_sceSysreg_driver_136E8F5A");
  MakeDword(0x00002898);
  MakeName(0x00002AF4, "");
  MakeDword(0x00002AF4);
  OpOff(0x00002AF4, 0, 0);
  MakeName(0x00002448, "sceSysreg_driver_136E8F5A");
  MakeFunction(0x00002448, BADADDR);
  MakeName(0x0000289C, "export_1_sceSysreg_driver_F4811E00");
  MakeDword(0x0000289C);
  MakeName(0x00002AF8, "");
  MakeDword(0x00002AF8);
  OpOff(0x00002AF8, 0, 0);
  MakeName(0x000024B4, "sceSysreg_driver_F4811E00");
  MakeFunction(0x000024B4, BADADDR);
}

static createRelocs() {
}

